<?php
/**
 * CPT
 *
 * @package Saddle
 */

defined( 'WPINC' ) || exit;

/**
 * Single sections
 */
class Saddle_Horses_Single_Sections extends Saddle_Base {

	/**
	 * The Construct
	 */
	public function __construct() {
		$this->add_action( 'saddle_horse_content', 'get_horse_single_sections' );
		$this->add_action( 'saddle_horse_sidebar', 'get_horse_widgets' );
	}

	public function get_horse_single_sections() {

		if ( have_posts() ) {
			while ( have_posts() ) {
				the_post();
			?>

			<article class="<?php saddle_article_class(); ?>">

				<?php saddle_breadcrumbs(); ?>

				<div id="post-<?php the_ID(); ?>" <?php post_class( 'g post' ); ?>>
				<?php
					$this->get_post_thumb();
					$this->get_horse_header();
					$this->get_horse_content();
				?>
				</div>

				<?php
				/**
				 * @since 1.0.6
				 */
				do_action( 'saddle_end_horses_single_section' );
				?>

			</article>

			<?php
			}
		}
	}

	/**
	 * Header thumbnail
	 */
	public function get_post_thumb() {

		if ( ! has_post_thumbnail() ) {
			return;
		}

		if ( saddle_get_settings( 'show_single_featured' ) ) {
			echo '<div class="single-featured-wrap">';
			the_post_thumbnail( 'saddle-featured', array( 'class' => 'single-featured-image' ) );
			echo '</div>';
		}

	}

	/**
	 * Contest header
	 */
	public function get_horse_header() {
	?>

		<header class="post-header clearfix">
			<h1 class="title single-title entry-title"><?php the_title(); ?></h1>
		</header><!--.contest-header-->

	<?php
	}

	/**
	 * Contest content
	 */
	public function get_horse_content() {
	?>

		<div class="post-single-content box mark-links entry-content">
			<?php the_content(); ?>
		</div>

	<?php
	}

	/**
	 * Get horse info
	 */
	public function get_horse_info_widget() {

		saddle()->horses = new Saddle_Horses;
		$title           = get_post_meta( get_the_ID(), 'horse_info_title', true );

	?>
		<div class="widget widget-horse-info">

			<?php
			if ( $title ) {
				echo '<h3 class="widget-title">' . $title . '</h3>';
			}
			?>

			<?php saddle()->horses->get_extra_info(); ?>

		</div>
	<?php
	}

	/**
	 * Get Widgets
	 */
	public function get_horse_widgets() {
	?>
		<div class="cpt-sidebar">
			<?php $this->get_horse_info_widget(); ?>

			<?php
			/**
			 * @since 1.0.6
			 */
			do_action( 'saddle_end_horses_sidebar' );
			?>
		</div>
	<?php
	}


}

/**
 * Init
 */
new Saddle_Horses_Single_Sections;
