<?php
/**
 * Back to top
 *
 * @package Saddle
 */

$menus['footer']['child']['footer-back-to-top'] = array(
	'title' => esc_html__( 'Back to Top', 'saddle' ),
	'desc'  => esc_html__( 'From here, you can control the back to top button.', 'saddle' ),
);

// Dependency check that back to top option is enable.
$top_button_dependency = array(
	'relation' => 'and',
	array(
		'field'      => 'show_top_button',
		'value'      => '1',
		'comparison' => '==',
	),
);

$sections['footer-back-to-top'] = array(

	array(
		'id'       => 'show_top_button',
		'type'     => 'switch',
		'title'    => esc_html__( 'Show Top Button', 'saddle' ),
		'sub_desc' => esc_html__( 'Enable or disable back to top button with this option.', 'saddle' ),
		'std'      => '1',
	),

	array(
		'id'       => 'top_button_icon',
		'type'     => 'icon_select',
		'title'    => esc_html__( 'Top Button Icon', 'saddle' ),
		'sub_desc' => esc_html__( 'Set icon for top button icon with this option.', 'saddle' ),
		'std'      => 'angle-up',
	),

	array(
		'id'         => 'top_button_color',
		'type'       => 'color',
		'title'      => esc_html__( 'Top Button Icon Color', 'saddle' ),
		'sub_desc'   => esc_html__( 'The theme comes with unlimited color schemes for your theme\'s styling.', 'saddle' ),
		'args'       => array( 'opacity' => true ),
		'std'        => '#d5ba9f',
		'dependency' => $top_button_dependency,
	),
	array(
		'id'         => 'top_button_color_hover',
		'type'       => 'color',
		'title'      => esc_html__( 'Top Button Icon Hover Color', 'saddle' ),
		'sub_desc'   => esc_html__( 'The theme comes with unlimited color schemes for your theme\'s styling.', 'saddle' ),
		'args'       => array( 'opacity' => true ),
		'std'        => '#504b46',
		'dependency' => $top_button_dependency,
	),

	array(
		'id'         => 'top_button_background',
		'type'       => 'color',
		'title'      => esc_html__( 'Background Settings', 'saddle' ),
		'sub_desc'   => esc_html__( 'The theme comes with unlimited color schemes for your theme\'s styling.', 'saddle' ),
		'args'       => array( 'opacity' => true ),
		'std'        => '#504b46',
		'dependency' => $top_button_dependency,
	),
	array(
		'id'         => 'top_button_background_hover',
		'type'       => 'color',
		'title'      => esc_html__( 'Background Hover Settings', 'saddle' ),
		'sub_desc'   => esc_html__( 'The theme comes with unlimited color schemes for your theme\'s styling.', 'saddle' ),
		'args'       => array( 'opacity' => true ),
		'std'        => '#d5ba9f',
		'dependency' => $top_button_dependency,
	),

	array(
		'id'         => 'top_button_font_size',
		'type'       => 'text',
		'class'      => 'small-text',
		'title'      => esc_html__( 'Font Size', 'saddle' ),
		'sub_desc'   => esc_html__( 'Set font size of top button in px.', 'saddle' ),
		'std'        => '24',
		'args'       => array( 'type' => 'number' ),
		'dependency' => $top_button_dependency,
	),

	array(
		'id'         => 'top_button_padding',
		'type'       => 'margin',
		'title'      => esc_html__( 'Padding', 'saddle' ),
		'sub_desc'   => esc_html__( 'Set Top button padding from here.', 'saddle' ),
		'std'        => array(
			'top'    => saddle_px_to_rem( '10px' ),
			'right'  => saddle_px_to_rem( '16px' ),
			'bottom' => saddle_px_to_rem( '13px' ),
			'left'   => saddle_px_to_rem( '16px' ),
		),
		'dependency' => $top_button_dependency,
	),
	array(
		'id'         => 'top_button_position',
		'type'       => 'margin',
		'title'      => esc_html__( 'Top Button Position', 'saddle' ),
		'sub_desc'   => esc_html__( 'Set top button position from here.', 'saddle' ),
		'std'        => array(
			'top'    => 'auto',
			'right'  => saddle_px_to_rem( '30px' ),
			'bottom' => saddle_px_to_rem( '80px' ),
			'left'   => 'auto',
		),
		'dependency' => $top_button_dependency,
	),

	array(
		'id'         => 'top_button_border_radius',
		'type'       => 'text',
		'class'      => 'small-text',
		'title'      => esc_html__( 'Border Radius', 'saddle' ),
		'sub_desc'   => esc_html__( 'Set border radius of top button in px.', 'saddle' ),
		'std'        => '8',
		'args'       => array( 'type' => 'number' ),
		'dependency' => $top_button_dependency,
	),

	array(
		'id'         => 'top_button_border',
		'type'       => 'border',
		'title'      => esc_html__( 'Border', 'saddle' ),
		'sub_desc'   => esc_html__( 'Select border', 'saddle' ),
		'dependency' => $top_button_dependency,
	),

);
