<?php
/**
 * Archive Pages
 *
 * @package Saddle
 */

$menus['blog-archive'] = array(
	'icon'  => 'fa-archive',
	'title' => esc_html__( 'Archives', 'saddle' ),
	'desc'  => esc_html__( 'From here, you can control the elements of the archive pages.', 'saddle' ),
);

$sections['blog-archive'] = array(
	array(
		'id'    => 'archive_post_title_heading',
		'type'  => 'heading',
		'title' => esc_html__( 'Archive Post Font', 'saddle' ),
	),
	array(
		'id'    => 'archive_post_title_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Post Title Font', 'saddle' ),
		'std'   => array(
			'preview-text'   => 'Post Title Font',
			'preview-color'  => 'light',
			'font-family'    => 'Playfair Display',
			'font-weight'    => '700',
			'font-size'      => '38px',
			'line-height'    => '1.26',
			'margin-top'     => saddle_px_to_rem( '45px' ),
			'color'          => '#504b46',
			'additional-css' => 'letter-spacing: -0.19px;',
			'css-selectors'  => '.latestPost .title a, .archive .latestPost .title a, .search .latestPost .title a, .archive [class^="more-page"] .latestPost .title a, .search [class^="more-page"] .latestPost .title a',
		),
	),
	array(
		'id'    => 'archive_post_excerpt_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Post Excerpt Font', 'saddle' ),
		'std'   => array(
			'preview-text'   => 'Post Excerpt Font',
			'preview-color'  => 'light',
			'font-family'    => 'Roboto',
			'font-weight'    => '300',
			'font-size'      => '16px',
			'line-height'    => '1.625',
			'margin-top'     => saddle_px_to_rem( '20px' ),
			'additional-css' => 'letter-spacing: 0.256px;',
			'color'          => '#504b46',
			'css-selectors'  => '.archive .latestPost .front-view-content, .search .latestPost .front-view-content, .archive [class^="more-page"] .latestPost .front-view-content, .search [class^="more-page"] .latestPost .front-view-content',
		),
	),
	array(
		'id'    => 'archive_meta_info_heading',
		'type'  => 'heading',
		'title' => esc_html__( 'Archive Meta Info', 'saddle' ),
	),
	array(
		'id'       => 'archive_post_meta_info',
		'type'     => 'layout2',
		'title'    => esc_html__( 'Post Meta Info', 'saddle' ),
		'sub_desc' => esc_html__( 'Organize how you want the post meta info to appear on archive pages', 'saddle' ),
		'options'  => array(
			'enabled'  => array(
				'category' => array(
					'label'     => esc_html__( 'Categories', 'pets' ),
					'subfields' => array(
						array(
							'id'    => 'archive_meta_info_category_icon',
							'type'  => 'icon_select',
							'title' => esc_html__( 'Select Icon', 'pets' ),
						),
					),
				),
				'date'     => array(
					'label'     => esc_html__( 'Date', 'saddle' ),
					'subfields' => array(
						array(
							'id'    => 'archive_meta_info_date_icon',
							'type'  => 'icon_select',
							'title' => esc_html__( 'Select Icon', 'saddle' ),
						),
					),
				),
			),
			'disabled' => array(
				'author'  => array(
					'label'     => esc_html__( 'Author Name', 'saddle' ),
					'subfields' => array(
						array(
							'id'    => 'archive_meta_info_author_icon',
							'type'  => 'icon_select',
							'title' => esc_html__( 'Select Icon', 'saddle' ),
						),
					),
				),
				'comment' => array(
					'label'     => esc_html__( 'Comment Count', 'saddle' ),
					'subfields' => array(
						array(
							'id'    => 'archive_meta_info_comment_icon',
							'type'  => 'icon_select',
							'title' => esc_html__( 'Select Icon', 'saddle' ),
						),
					),
				),
			),
		),
		'std'      => array(
			'enabled'  => array(
				'category' => array(
					'label'     => esc_html__( 'Categories', 'pets' ),
					'subfields' => array(
						array(
							'id'    => 'archive_meta_info_category_icon',
							'type'  => 'icon_select',
							'title' => esc_html__( 'Select Icon', 'pets' ),
						),
					),
				),
				'date'     => array(
					'label'     => esc_html__( 'Date', 'saddle' ),
					'subfields' => array(
						array(
							'id'    => 'archive_meta_info_date_icon',
							'type'  => 'icon_select',
							'title' => esc_html__( 'Select Icon', 'saddle' ),
						),
					),
				),
			),
			'disabled' => array(
				'author'  => array(
					'label'     => esc_html__( 'Author Name', 'saddle' ),
					'subfields' => array(
						array(
							'id'    => 'archive_meta_info_author_icon',
							'type'  => 'icon_select',
							'title' => esc_html__( 'Select Icon', 'saddle' ),
						),
					),
				),
				'comment' => array(
					'label'     => esc_html__( 'Comment Count', 'saddle' ),
					'subfields' => array(
						array(
							'id'    => 'archive_meta_info_comment_icon',
							'type'  => 'icon_select',
							'title' => esc_html__( 'Select Icon', 'saddle' ),
						),
					),
				),
			),
		),
	),
	array(
		'id'       => 'archive_show_readmore',
		'type'     => 'switch',
		'title'    => esc_html__( 'Show ReadMore', 'saddle' ),
		'sub_desc' => esc_html__( 'Show/Hide readmore button from this option.', 'saddle' ),
		'std'      => '1',
	),
	array(
		'id'    => 'archive_meta_info_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Post Meta Info Typography', 'saddle' ),
		'std'   => array(
			'preview-text'   => 'Post Meta Info Font',
			'preview-color'  => 'light',
			'font-family'    => 'Roboto',
			'font-weight'    => '700',
			'font-size'      => '14px',
			'margin-top'     => saddle_px_to_rem( '26px' ),
			'color'          => '#d5ba9f',
			'additional-css' => 'text-transform: uppercase; letter-spacing: 5px;',
			'css-selectors'  => '.archive .latestPost .post-info, .search .latestPost .post-info, .archive .readMore a, .search .readMore a',
		),
	),
);
