<?php
/**
 * CPT - Contests Tab
 *
 * @package Saddle
 */

$menus['cpt']['child']['cpt-contests'] = array(
	'title' => esc_html__( 'Contests', 'saddle' ),
	'desc'  => esc_html__( 'From here, you can control the elements of the Contests page.', 'saddle' ),
);

$title = 'North American Horse Association Contest Schedule';
$desc  = 'Nam maximus ullamcorper quam sollicitudin pretium. Nunc congue, sem non mollis imperdiet, sapien tellus efficitur nisi, nec ullamcorper nunc nisi eu mi. Vivamus egestas pulvinar mi. Proin pretium mauris vel orci congue, congue aliquam tellus lacinia.';

$sections['cpt-contests'] = array(

	array(
		'id'       => 'contests_small_title',
		'type'     => 'text',
		'title'    => esc_html__( 'Page Small Title', 'saddle' ),
		'sub_desc' => esc_html__( 'Enter small title text, it will be shown on top of the Posts.', 'saddle' ),
		'std'      => 'Our Upcoming',
	),
	array(
		'id'       => 'contests_title',
		'type'     => 'text',
		'title'    => esc_html__( 'Page Title', 'saddle' ),
		'sub_desc' => esc_html__( 'Enter title text, it will be shown on top of the Posts.', 'saddle' ),
		'std'      => 'Contests',
	),

	array(
		'id'    => 'contests_left',
		'type'  => 'heading',
		'title' => esc_html__( 'Archive Settings', 'saddle' ),
	),

	array(
		'id'       => 'contests_archive_title',
		'type'     => 'textarea',
		'title'    => esc_html__( 'Title', 'saddle' ),
		'sub_desc' => esc_html__( 'Enter title text, it will be shown on left of the Posts.', 'saddle' ),
		'std'      => $title,
	),
	array(
		'id'       => 'contests_archive_desc',
		'type'     => 'textarea',
		'title'    => esc_html__( 'Description', 'saddle' ),
		'sub_desc' => esc_html__( 'Enter description, it will be shown on left of the Posts.', 'saddle' ),
		'std'      => $desc,
	),

	array(
		'id'       => 'contests_post_num',
		'type'     => 'text',
		'class'    => 'small-text',
		'title'    => esc_html__( 'Number of Posts', 'saddle' ),
		'sub_desc' => esc_html__( 'Enter number of posts to show on contests archive. Set -1 to show all posts.', 'saddle' ),
		'args'     => array( 'type' => 'number' ),
		'std'      => '5',
	),

	array(
		'id'       => 'contests_meta_info',
		'type'     => 'multi_checkbox',
		'title'    => esc_html__( 'Meta Info', 'saddle' ),
		'sub_desc' => esc_html__( 'Show or hide post meta info.', 'saddle' ),
		'options'  => array(
			'author'   => esc_html__( 'Author Name', 'saddle' ),
			'address'  => esc_html__( 'Address', 'saddle' ),
			'date'     => esc_html__( 'Date', 'saddle' ),
			'readmore' => esc_html__( 'Read More', 'saddle' ),
		),
		'std'      => array(
			'address',
			'date',
			'readmore',
		),
	),

	array(
		'id'       => 'saddle_google_map_api',
		'type'     => 'text',
		'title'    => esc_html__( 'Google Map API', 'saddle' ),
		// translators: Strong tag in description.
		'sub_desc' => sprintf( __( 'A Google Maps API Key is required to be able to show the maps. It\'s free and you can get yours <a href="%s">here</a>.', 'saddle' ), 'https://developers.google.com/maps/documentation/javascript/get-api-key' ),
	),

	array(
		'id'    => 'contests_typo',
		'type'  => 'heading',
		'title' => esc_html__( 'Typography Settings', 'saddle' ),
	),

	array(
		'id'    => 'contests_archive_title_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Archive Title Font', 'saddle' ),
		'std'   => array(
			'preview-text'   => $title,
			'preview-color'  => 'light',
			'font-family'    => 'Playfair Display',
			'font-weight'    => '700',
			'font-size'      => '38px',
			'line-height'    => '1.264',
			'color'          => '#504b46',
			'additional-css' => 'letter-spacing: -0.19px;',
			'css-selectors'  => '.post-type-archive-contests .archive-title',
		),
	),
	array(
		'id'    => 'contests_archive_desc_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Archive Description Font', 'saddle' ),
		'std'   => array(
			'preview-text'   => $desc,
			'preview-color'  => 'light',
			'font-family'    => 'Roboto',
			'font-weight'    => '300',
			'font-size'      => '15px',
			'line-height'    => '1.667',
			'margin-top'     => '20px',
			'color'          => '#504b46',
			'additional-css' => 'letter-spacing: 0.24px;',
			'css-selectors'  => '.post-type-archive-contests .archive-desc',
		),
	),

	array(
		'id'    => 'contests_date_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Archive Date Font', 'saddle' ),
		'std'   => array(
			'preview-text'   => 'JANUARY 2020',
			'preview-color'  => 'light',
			'font-family'    => 'Roboto',
			'font-weight'    => '700',
			'font-size'      => '20px',
			'margin-bottom'  => saddle_px_to_rem( '26px' ),
			'color'          => '#d3d2d1',
			'additional-css' => 'letter-spacing: 4.16px;',
			'css-selectors'  => '.post-type-archive-contests .archive-date',
		),
	),

	array(
		'id'    => 'contests_title_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Post Title Font', 'saddle' ),
		'std'   => array(
			'preview-text'   => 'Post Title Font',
			'preview-color'  => 'light',
			'font-family'    => 'Playfair Display',
			'font-weight'    => '700',
			'font-size'      => '24px',
			'color'          => '#504b46',
			'additional-css' => 'letter-spacing: 0.504px;',
			'css-selectors'  => '.post-type-archive-contests .title a',
		),
	),

	array(
		'id'    => 'contests_info_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Post Info Font', 'saddle' ),
		'std'   => array(
			'preview-text'   => 'Post Info Font',
			'preview-color'  => 'light',
			'font-family'    => 'Roboto',
			'font-weight'    => '700',
			'font-size'      => '14px',
			'margin-top'     => saddle_px_to_rem( '14px' ),
			'color'          => '#d5ba9f',
			'additional-css' => 'text-transform: uppercase; letter-spacing: 5px;',
			'css-selectors'  => '.post-type-archive-contests .post-info, .post-type-archive-contests .readMore a',
		),
	),

);
