<?php
/**
 * CPT - Horse Tab
 *
 * @package Saddle
 */

$menus['cpt'] = array(
	'icon'  => 'fa-trello',
	'title' => esc_html__( 'Custom Posts', 'saddle' ),
);

$menus['cpt']['child']['cpt-general'] = array(
	'title' => esc_html__( 'Horses', 'saddle' ),
	'desc'  => esc_html__( 'From here, you can control the elements of the Horses page.', 'saddle' ),
);

$sections['cpt-general'] = array(

	array(
		'id'       => 'horse_small_title',
		'type'     => 'text',
		'title'    => esc_html__( 'Page Small Title', 'saddle' ),
		'sub_desc' => esc_html__( 'Enter blog page small title text it will be shown on top of Posts.', 'saddle' ),
		'std'      => 'Collection of',
	),
	array(
		'id'       => 'horse_title',
		'type'     => 'text',
		'title'    => esc_html__( 'Page Title', 'saddle' ),
		'sub_desc' => esc_html__( 'Enter blog page title text it will be shown on top of Posts.', 'saddle' ),
		'std'      => 'Our Horses',
	),

	array(
		'id'       => 'horse_post_num',
		'type'     => 'text',
		'class'    => 'small-text',
		'title'    => esc_html__( 'Number of Posts', 'saddle' ),
		'sub_desc' => esc_html__( 'Enter number of posts to show on horses archive. Set -1 to show all posts.', 'saddle' ),
		'args'     => array( 'type' => 'number' ),
		'std'      => '6',
	),

	array(
		'id'    => 'horse_typo',
		'type'  => 'heading',
		'title' => esc_html__( 'Typography Settings', 'saddle' ),
	),

	array(
		'id'    => 'horse_title_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Post Title Font', 'saddle' ),
		'std'   => array(
			'preview-text'   => 'Post Title Font',
			'preview-color'  => 'light',
			'font-family'    => 'Playfair Display',
			'font-weight'    => '700',
			'font-size'      => '24px',
			'color'          => '#504b46',
			'additional-css' => 'letter-spacing: -0.12px;',
			'css-selectors'  => '.post-type-archive-horses .latestPost .title a',
		),
	),

	array(
		'id'    => 'horse_info_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Post Info Font', 'saddle' ),
		'std'   => array(
			'preview-text'   => 'Post Info Font',
			'preview-color'  => 'light',
			'font-family'    => 'Roboto',
			'font-weight'    => '500',
			'font-size'      => '14px',
			'color'          => '#504b46',
			'additional-css' => 'letter-spacing: 0.224px;',
			'css-selectors'  => '.post-type-archive-horses .horses-info',
		),
	),

	array(
		'id'    => 'horse_content_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Post Content Font', 'saddle' ),
		'std'   => array(
			'preview-text'   => 'Post Content Font',
			'preview-color'  => 'light',
			'font-family'    => 'Roboto',
			'font-weight'    => '300',
			'font-size'      => '14px',
			'line-height'    => '1.786',
			'margin-top'     => '23px',
			'color'          => '#504b46',
			'additional-css' => 'letter-spacing: 0.224px;',
			'css-selectors'  => '.post-type-archive-horses .latestPost .front-view-content',
		),
	),

);
