<?php
/**
 * Header Featured
 *
 * @package Saddle
 */

$menus['header']['child']['header-featured'] = array(
	'title' => esc_html__( 'Featured Section', 'saddle' ),
	'desc'  => esc_html__( 'From here, you can control the header featured section.', 'saddle' ),
);

// Dependency check that back to top option is enable.
$featured_dependency = array(
	'relation' => 'and',
	array(
		'field'      => 'header_featured',
		'value'      => '1',
		'comparison' => '==',
	),
);

$sections['header-featured'] = array(

	array(
		'id'       => 'header_featured',
		'type'     => 'switch',
		'title'    => esc_html__( 'Featured Section', 'saddle' ),
		'sub_desc' => esc_html__( 'Enable or disable back to top button with this option.', 'saddle' ),
		'std'      => '1',
	),

	array(
		'id'         => 'featured_title',
		'type'       => 'text',
		'title'      => esc_html__( 'Title', 'saddle' ),
		'sub_desc'   => esc_html__( 'Enter title for featured section.', 'saddle' ),
		'std'        => 'Nunc Maximus est ut <span>Tortor</span>.',
		'dependency' => $featured_dependency,
	),

	array(
		'id'         => 'featured_content',
		'type'       => 'textarea',
		'title'      => esc_html__( 'Content', 'saddle' ),
		'sub_desc'   => esc_html__( 'Enter content for featured section.', 'saddle' ),
		'std'        => 'Nam maximus ullamcorper quam sollicitudin pretium. Nunc congue, sem non mollis imperdiet, sapien tellus efficitur nisi, nec ullamcorper nunc nisi eu mi. Vivamus egestas pulvinar mi. Proin pretium mauris vel orci congue, congue aliquam tellus lacinia.',
		'dependency' => $featured_dependency,
	),

	array(
		'id'         => 'featured_button_text',
		'type'       => 'text',
		'title'      => esc_html__( 'Button Text', 'saddle' ),
		'sub_desc'   => esc_html__( 'Enter button text.', 'saddle' ),
		'std'        => 'Read More',
		'dependency' => $featured_dependency,
	),
	array(
		'id'         => 'featured_button_url',
		'type'       => 'text',
		'title'      => esc_html__( 'Button URL', 'saddle' ),
		'sub_desc'   => esc_html__( 'Enter button URL.', 'saddle' ),
		'std'        => '#',
		'dependency' => $featured_dependency,
	),

	array(
		'id'         => 'featured_type_heading',
		'type'       => 'heading',
		'title'      => esc_html__( 'Typography Settings', 'saddle' ),
		'dependency' => $featured_dependency,
	),

	array(
		'id'         => 'featured_title_font',
		'type'       => 'typography',
		'title'      => esc_html__( 'Title Font', 'saddle' ),
		'std'        => array(
			'preview-text'   => 'Nunc Maximus est ut Tortor.',
			'preview-color'  => 'dark',
			'font-family'    => 'Playfair Display',
			'font-weight'    => '700',
			'font-size'      => '56px',
			'color'          => '#ffffff',
			'additional-css' => 'letter-spacing: -0.28px;',
			'css-selectors'  => '.featured-section .title',
		),
		'dependency' => $featured_dependency,
	),
	array(
		'id'         => 'featured_content_font',
		'type'       => 'typography',
		'title'      => esc_html__( 'Content Font', 'saddle' ),
		'std'        => array(
			'preview-text'  => 'We know that good design means good business.',
			'preview-color' => 'dark',
			'font-family'   => 'Roboto',
			'font-weight'   => '400',
			'font-size'     => '15px',
			'line-height'   => '1.67',
			'margin-top'    => saddle_px_to_rem( '11px' ),
			'margin-bottom' => '0px',
			'color'         => '#ffffff',
			'css-selectors' => '.featured-section p',
		),
		'dependency' => $featured_dependency,
	),

	array(
		'id'         => 'featured_general_heading',
		'type'       => 'heading',
		'title'      => esc_html__( 'General Settings', 'saddle' ),
		'dependency' => $featured_dependency,
	),

	array(
		'id'       => 'featured_margin',
		'type'     => 'margin',
		'title'    => esc_html__( 'Margin', 'saddle' ),
		'sub_desc' => esc_html__( 'Set featured margin from here.', 'saddle' ),
		'std'      => array(
			'top'    => '0',
			'right'  => '0',
			'bottom' => '0',
			'left'   => '0',
		),
	),
	array(
		'id'       => 'featured_padding',
		'type'     => 'margin',
		'title'    => esc_html__( 'Padding', 'saddle' ),
		'sub_desc' => esc_html__( 'Set featured padding from here.', 'saddle' ),
		'std'      => array(
			'top'    => saddle_px_to_rem( '109px' ),
			'right'  => '0',
			'bottom' => saddle_px_to_rem( '141px' ),
			'left'   => '0',
		),
	),

);
