<?php
/**
 * HomePage About Section
 *
 * @package Saddle
 */

$menus['homepage']['child']['homepage-about'] = array(
	'title' => esc_html__( 'About Us', 'saddle' ),
	'desc'  => esc_html__( 'From here, you can control the elements of the About Section.', 'saddle' ),
);

$sections['homepage-about'] = array(

	array(
		'id'       => 'about_top_small_title',
		'type'     => 'text',
		'title'    => esc_html__( 'Top Small Title', 'saddle' ),
		'sub_desc' => esc_html__( 'Enter small title for about section.', 'saddle' ),
		'std'      => 'Who we are',
	),
	array(
		'id'       => 'about_top_title',
		'type'     => 'text',
		'title'    => esc_html__( 'Top Title', 'saddle' ),
		'sub_desc' => esc_html__( 'Enter title for about section.', 'saddle' ),
		'std'      => 'About riding club',
	),

	array(
		'id'    => 'about_section_heading',
		'type'  => 'heading',
		'title' => esc_html__( 'Section Settings', 'saddle' ),
	),

	array(
		'id'       => 'about_image',
		'type'     => 'upload',
		'title'    => esc_html__( 'Image', 'saddle' ),
		'sub_desc' => esc_html__( 'Select an image file for your about section.', 'saddle' ),
		'return'   => 'url',
		'std'      => get_template_directory_uri() . '/images/about.jpg',
	),

	array(
		'id'       => 'about_title',
		'type'     => 'text',
		'title'    => esc_html__( 'Title', 'saddle' ),
		'sub_desc' => esc_html__( 'Enter title for about section.', 'saddle' ),
		'std'      => '40 Years of Riding Experience',
	),
	array(
		'id'       => 'about_content',
		'type'     => 'textarea',
		'title'    => esc_html__( 'Content', 'saddle' ),
		'sub_desc' => esc_html__( 'Enter content for about section.', 'saddle' ),
		'std'      => 'Nam maximus ullamcorper quam sollicitudin pretium. Nunc congue, sem non mollis imperdiet, sapien tellus efficitur nisi, nec ullamcorper nunc nisi eu mi. Vivamus egestas pulvinar mi. Proin pretium mauris vel orci congue, congue aliquam tellus lacinia.',
	),

	array(
		'id'       => 'about_button_text1',
		'type'     => 'text',
		'title'    => esc_html__( 'Button 1 Text', 'saddle' ),
		'sub_desc' => esc_html__( 'Enter button text.', 'saddle' ),
		'std'      => 'Read More',
	),
	array(
		'id'       => 'about_button_url1',
		'type'     => 'text',
		'title'    => esc_html__( 'Button 1 URL', 'saddle' ),
		'sub_desc' => esc_html__( 'Enter button URL.', 'saddle' ),
		'std'      => '#',
	),

	array(
		'id'       => 'about_button_text2',
		'type'     => 'text',
		'title'    => esc_html__( 'Button 2 Text', 'saddle' ),
		'sub_desc' => esc_html__( 'Enter button text.', 'saddle' ),
		'std'      => 'Contact Us',
	),
	array(
		'id'       => 'about_button_url2',
		'type'     => 'text',
		'title'    => esc_html__( 'Button 2 URL', 'saddle' ),
		'sub_desc' => esc_html__( 'Enter button URL.', 'saddle' ),
		'std'      => '#',
	),

	array(
		'id'    => 'about_typo_heading',
		'type'  => 'heading',
		'title' => esc_html__( 'Typography Settings', 'saddle' ),
	),
	array(
		'id'    => 'about_top_small_title_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Top Small Title Font', 'saddle' ),
		'std'   => array(
			'preview-text'   => 'Who we are',
			'preview-color'  => 'light',
			'font-family'    => 'Playfair Display',
			'font-weight'    => '700',
			'font-size'      => '14px',
			'color'          => '#d5ba9f',
			'additional-css' => 'text-transform: uppercase; letter-spacing: 5px;',
			'css-selectors'  => '.about-section .small-title',
		),
	),
	array(
		'id'    => 'about_top_title_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Top Title Font', 'saddle' ),
		'std'   => array(
			'preview-text'   => 'About riding club',
			'preview-color'  => 'light',
			'font-family'    => 'Playfair Display',
			'font-weight'    => '700',
			'font-size'      => '28px',
			'margin-top'     => saddle_px_to_rem( '19px' ),
			'color'          => '#504b46',
			'additional-css' => 'text-transform: uppercase; letter-spacing: 5.824px;',
			'css-selectors'  => '.about-section .section-title',
		),
	),

	array(
		'id'    => 'about_title_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Title Font', 'saddle' ),
		'std'   => array(
			'preview-text'   => '40 Years of Riding Experience',
			'preview-color'  => 'light',
			'font-family'    => 'Playfair Display',
			'font-weight'    => '700',
			'font-size'      => '48px',
			'line-height'    => '1.083',
			'color'          => '#504b46',
			'additional-css' => 'letter-spacing: -0.24px;',
			'css-selectors'  => '.about-section .title',
		),
	),
	array(
		'id'    => 'about_content_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Content Font', 'saddle' ),
		'std'   => array(
			'preview-text'   => 'Nam maximus ullamcorper quam sollicitudin pretium. Nunc congue, sem non mollis imperdiet, sapien tellus efficitur nisi, nec ullamcorper nunc nisi eu mi. Vivamus egestas pulvinar mi. Proin pretium mauris vel orci congue, congue aliquam tellus lacinia.',
			'preview-color'  => 'light',
			'font-family'    => 'Roboto',
			'font-weight'    => '300',
			'font-size'      => '15px',
			'line-height'    => '1.67',
			'margin-top'     => saddle_px_to_rem( '24px' ),
			'color'          => '#504b46',
			'additional-css' => 'letter-spacing: 0.24px;',
			'css-selectors'  => '.about-section p',
		),
	),

	array(
		'id'    => 'about_styling_heading',
		'type'  => 'heading',
		'title' => esc_html__( 'Styling Settings', 'saddle' ),
	),

	array(
		'id'       => 'about_background',
		'type'     => 'background',
		'title'    => esc_html__( 'Section Background', 'saddle' ),
		'sub_desc' => esc_html__( 'Set background color, pattern and image from here.', 'saddle' ),
		'options'  => array(
			'color'         => '',            // false to disable, not needed otherwise.
			'image_pattern' => $mts_patterns, // false to disable, array of options otherwise ( required !!! ).
			'image_upload'  => '',            // false to disable, not needed otherwise.
			'repeat'        => array(),       // false to disable, array of options to override default ( optional ).
			'attachment'    => array(),       // false to disable, array of options to override default ( optional ).
			'position'      => array(),       // false to disable, array of options to override default ( optional ).
			'size'          => array(),       // false to disable, array of options to override default ( optional ).
			'gradient'      => '',            // false to disable, not needed otherwise.
			'parallax'      => array(),       // false to disable, array of options to override default ( optional ).
		),
		'std'      => array(
			'color'         => '',
			'use'           => 'pattern',
			'image_pattern' => 'nobg',
			'image_upload'  => '',
			'repeat'        => 'repeat',
			'attachment'    => 'scroll',
			'position'      => 'left top',
			'size'          => 'cover',
			'gradient'      => array(
				'from'      => '#ffffff',
				'to'        => '#000000',
				'direction' => '0deg',
			),
			'parallax'      => '0',
		),
	),
	array(
		'id'       => 'about_margin',
		'type'     => 'margin',
		'title'    => esc_html__( 'Margin', 'saddle' ),
		'sub_desc' => esc_html__( 'Set about section margin from here.', 'saddle' ),
		'std'      => array(
			'top'    => '0',
			'right'  => '0',
			'bottom' => '0',
			'left'   => '0',
		),
	),
	array(
		'id'       => 'about_padding',
		'type'     => 'margin',
		'title'    => esc_html__( 'Padding', 'saddle' ),
		'sub_desc' => esc_html__( 'Set about section padding from here.', 'saddle' ),
		'std'      => array(
			'top'    => saddle_px_to_rem( '104px' ),
			'right'  => '0',
			'bottom' => '0',
			'left'   => '0',
		),
	),

);
