<?php
/**
 * HomePage Awards Section
 *
 * @package Saddle
 */

$menus['homepage']['child']['homepage-awards'] = array(
	'title' => esc_html__( 'Awards', 'saddle' ),
	'desc'  => esc_html__( 'From here, you can control the elements of the Awards Section.', 'saddle' ),
);

$awards_text = 'Nam maximus ullamcorper quam sollicitudin pretium. Nunc congue, sem non mollis imperdiet, sapien tellus efficitur nisi, nec ullamcorper nunc nisi eu mi. Vivamus egestas pulvinar mi. Proin pretium mauris vel orci congue, congue aliquam tellus lacinia.';

$sections['homepage-awards'] = array(

	array(
		'id'    => 'awards_left_heading',
		'type'  => 'heading',
		'title' => esc_html__( 'Left Section Settings', 'saddle' ),
	),

	array(
		'id'       => 'awards_title',
		'type'     => 'text',
		'title'    => esc_html__( 'Title', 'saddle' ),
		'sub_desc' => esc_html__( 'Enter title for awards section.', 'saddle' ),
		'std'      => 'Our Riders has Many Awards',
	),
	array(
		'id'       => 'awards_text',
		'type'     => 'textarea',
		'title'    => esc_html__( 'Text', 'saddle' ),
		'sub_desc' => esc_html__( 'Enter text for awards section.', 'saddle' ),
		'std'      => $awards_text,
	),
	array(
		'id'       => 'awards_button_text',
		'type'     => 'text',
		'title'    => esc_html__( 'Button Text', 'saddle' ),
		'sub_desc' => esc_html__( 'Enter button text for awards section.', 'saddle' ),
		'std'      => 'Read More',
	),
	array(
		'id'       => 'awards_button_url',
		'type'     => 'text',
		'title'    => esc_html__( 'Button URL', 'saddle' ),
		'sub_desc' => esc_html__( 'Enter button URL for awards section.', 'saddle' ),
		'std'      => '#',
	),

	array(
		'id'    => 'awards_section_heading',
		'type'  => 'heading',
		'title' => esc_html__( 'Awards Settings', 'saddle' ),
	),

	array(
		'id'        => 'awards_list',
		'type'      => 'group',
		'title'     => esc_html__( 'Awards', 'saddle' ),
		'sub_desc'  => esc_html__( 'Add awards appearing on the Awards section.', 'saddle' ),
		'groupname' => esc_html__( 'Award', 'saddle' ),
		'subfields' => array(
			array(
				'id'    => 'awards_list_title',
				'type'  => 'text',
				'title' => esc_html__( 'Title', 'saddle' ),
			),
			array(
				'id'    => 'awards_list_icon',
				'type'  => 'upload',
				'title' => esc_html__( 'Upload Icon', 'saddle' ),
				'desc'  => esc_html__( 'Recommended size: 56 x 56 in px.', 'saddle' ),
			),
			array(
				'id'    => 'awards_list_bg_color',
				'type'  => 'color',
				'title' => esc_html__( 'Background Color', 'saddle' ),
			),
		),
		'std'       => array(
			'1'  => array(
				'group_sort'           => '1',
				'awards_list_title'    => 'Award',
				'awards_list_icon'     => get_template_directory_uri() . '/images/award-1.png',
				'awards_list_bg_color' => '#f9efe4',
			),
			'2'  => array(
				'group_sort'           => '2',
				'awards_list_title'    => 'Award',
				'awards_list_icon'     => get_template_directory_uri() . '/images/award-2.png',
				'awards_list_bg_color' => '#f9efe4',
			),
			'3'  => array(
				'group_sort'           => '3',
				'awards_list_title'    => 'Award',
				'awards_list_icon'     => get_template_directory_uri() . '/images/award-3.png',
				'awards_list_bg_color' => '#f9efe4',
			),
			'4'  => array(
				'group_sort'           => '4',
				'awards_list_title'    => 'Award',
				'awards_list_icon'     => get_template_directory_uri() . '/images/award-4.png',
				'awards_list_bg_color' => '#f9efe4',
			),
			'5'  => array(
				'group_sort'           => '5',
				'awards_list_title'    => 'Award',
				'awards_list_icon'     => get_template_directory_uri() . '/images/award-5.png',
				'awards_list_bg_color' => '#f9efe4',
			),
			'6'  => array(
				'group_sort'           => '6',
				'awards_list_title'    => 'Award',
				'awards_list_icon'     => get_template_directory_uri() . '/images/award-6.png',
				'awards_list_bg_color' => '#f9efe4',
			),
			'7'  => array(
				'group_sort'           => '7',
				'awards_list_title'    => 'Award',
				'awards_list_icon'     => get_template_directory_uri() . '/images/award-7.png',
				'awards_list_bg_color' => '#f9efe4',
			),
			'8'  => array(
				'group_sort'           => '8',
				'awards_list_title'    => 'Award',
				'awards_list_icon'     => get_template_directory_uri() . '/images/award-8.png',
				'awards_list_bg_color' => '#f9efe4',
			),
			'9'  => array(
				'group_sort'           => '9',
				'awards_list_title'    => 'Award',
				'awards_list_icon'     => get_template_directory_uri() . '/images/award-9.png',
				'awards_list_bg_color' => '#f9efe4',
			),
			'10' => array(
				'group_sort'           => '10',
				'awards_list_title'    => 'Award',
				'awards_list_icon'     => get_template_directory_uri() . '/images/award-10.png',
				'awards_list_bg_color' => '#f9efe4',
			),
		),
	),

	array(
		'id'    => 'awards_typo_heading',
		'type'  => 'heading',
		'title' => esc_html__( 'Typography Settings', 'saddle' ),
	),
	array(
		'id'    => 'awards_title_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Title Font', 'saddle' ),
		'std'   => array(
			'preview-text'   => 'Our Riders has Many Awards',
			'preview-color'  => 'light',
			'font-family'    => 'Playfair Display',
			'font-weight'    => '700',
			'font-size'      => '48px',
			'line-height'    => '1.08',
			'color'          => '#504b46',
			'additional-css' => 'letter-spacing: -0.24px;',
			'css-selectors'  => '.awards-section .title',
		),
	),
	array(
		'id'    => 'awards_text_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Text Font', 'saddle' ),
		'std'   => array(
			'preview-text'   => $awards_text,
			'preview-color'  => 'light',
			'font-family'    => 'Roboto',
			'font-weight'    => '300',
			'font-size'      => '15px',
			'line-height'    => '1.67',
			'margin-top'     => saddle_px_to_rem( '24px' ),
			'color'          => '#504b46',
			'additional-css' => 'letter-spacing: 0.24px;',
			'css-selectors'  => '.awards-section p',
		),
	),

	array(
		'id'    => 'awards_styling_heading',
		'type'  => 'heading',
		'title' => esc_html__( 'Styling Settings', 'saddle' ),
	),

	array(
		'id'       => 'awards_background',
		'type'     => 'background',
		'title'    => esc_html__( 'Section Background', 'saddle' ),
		'sub_desc' => esc_html__( 'Set background color, pattern and image from here.', 'saddle' ),
		'options'  => array(
			'color'         => '',            // false to disable, not needed otherwise.
			'image_pattern' => $mts_patterns, // false to disable, array of options otherwise ( required !!! ).
			'image_upload'  => '',            // false to disable, not needed otherwise.
			'repeat'        => array(),       // false to disable, array of options to override default ( optional ).
			'attachment'    => array(),       // false to disable, array of options to override default ( optional ).
			'position'      => array(),       // false to disable, array of options to override default ( optional ).
			'size'          => array(),       // false to disable, array of options to override default ( optional ).
			'gradient'      => '',            // false to disable, not needed otherwise.
			'parallax'      => array(),       // false to disable, array of options to override default ( optional ).
		),
		'std'      => array(
			'color'         => '',
			'use'           => 'pattern',
			'image_pattern' => 'nobg',
			'image_upload'  => '',
			'repeat'        => 'repeat',
			'attachment'    => 'scroll',
			'position'      => 'left top',
			'size'          => 'cover',
			'gradient'      => array(
				'from'      => '#ffffff',
				'to'        => '#000000',
				'direction' => '0deg',
			),
			'parallax'      => '0',
		),
	),
	array(
		'id'       => 'awards_margin',
		'type'     => 'margin',
		'title'    => esc_html__( 'Margin', 'saddle' ),
		'sub_desc' => esc_html__( 'Set awards section margin from here.', 'saddle' ),
		'std'      => array(
			'top'    => '0',
			'right'  => '0',
			'bottom' => '0',
			'left'   => '0',
		),
	),
	array(
		'id'       => 'awards_padding',
		'type'     => 'margin',
		'title'    => esc_html__( 'Padding', 'saddle' ),
		'sub_desc' => esc_html__( 'Set awards section padding from here.', 'saddle' ),
		'std'      => array(
			'top'    => saddle_px_to_rem( '150px' ),
			'right'  => '0',
			'bottom' => '0',
			'left'   => '0',
		),
	),

);
