<?php
/**
 * HomePage Blog Section
 *
 * @package Saddle
 */

$menus['homepage']['child']['homepage-blog'] = array(
	'title' => esc_html__( 'Our Blog', 'saddle' ),
	'desc'  => esc_html__( 'From here, you can control the elements of the Blog Section.', 'saddle' ),
);

$sections['homepage-blog'] = array(

	array(
		'id'       => 'blog_top_small_title',
		'type'     => 'text',
		'title'    => esc_html__( 'Top Small Title', 'saddle' ),
		'sub_desc' => esc_html__( 'Enter small title for blog section.', 'saddle' ),
		'std'      => 'Our Blog',
	),
	array(
		'id'       => 'blog_top_title',
		'type'     => 'text',
		'title'    => esc_html__( 'Top Title', 'saddle' ),
		'sub_desc' => esc_html__( 'Enter title for blog section.', 'saddle' ),
		'std'      => 'Recent News',
	),

	array(
		'id'    => 'blog_section_heading',
		'type'  => 'heading',
		'title' => esc_html__( 'Blog Posts Settings', 'saddle' ),
	),

	array(
		'id'       => 'blog_post_num',
		'type'     => 'text',
		'class'    => 'small-text',
		'title'    => esc_html__( 'Number of Posts', 'saddle' ),
		'sub_desc' => esc_html__( 'Enter number of posts for blog section.', 'saddle' ),
		'args'     => array( 'type' => 'number' ),
		'std'      => '3',
	),

	array(
		'id'    => 'blog_typo_heading',
		'type'  => 'heading',
		'title' => esc_html__( 'Typography Settings', 'saddle' ),
	),
	array(
		'id'    => 'blog_top_small_title_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Top Small Title Font', 'saddle' ),
		'std'   => array(
			'preview-text'   => 'Our Blog',
			'preview-color'  => 'light',
			'font-family'    => 'Playfair Display',
			'font-weight'    => '700',
			'font-size'      => '14px',
			'color'          => '#d5ba9f',
			'additional-css' => 'text-transform: uppercase; letter-spacing: 5px;',
			'css-selectors'  => '.blog-section .top .small-title',
		),
	),
	array(
		'id'    => 'blog_top_title_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Top Title Font', 'saddle' ),
		'std'   => array(
			'preview-text'   => 'Recent News',
			'preview-color'  => 'light',
			'font-family'    => 'Playfair Display',
			'font-weight'    => '700',
			'font-size'      => '28px',
			'margin-top'     => saddle_px_to_rem( '18px' ),
			'color'          => '#504b46',
			'additional-css' => 'text-transform: uppercase; letter-spacing: 5.824px;',
			'css-selectors'  => '.blog-section .top .section-title',
		),
	),

	array(
		'id'    => 'blog_title_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Post Title Font', 'saddle' ),
		'std'   => array(
			'preview-text'   => 'Post Title',
			'preview-color'  => 'light',
			'font-family'    => 'Playfair Display',
			'font-weight'    => '700',
			'font-size'      => '22px',
			'margin-top'     => saddle_px_to_rem( '33px' ),
			'color'          => '#504b46',
			'additional-css' => 'letter-spacing: -0.11px;',
			'css-selectors'  => '.blog-wrapper .title',
		),
	),
	array(
		'id'    => 'blog_content_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Content Font', 'saddle' ),
		'std'   => array(
			'preview-text'   => 'Blog Content',
			'preview-color'  => 'light',
			'font-family'    => 'Roboto',
			'font-weight'    => '300',
			'font-size'      => '14px',
			'line-height'    => '1.786',
			'margin-top'     => saddle_px_to_rem( '10px' ),
			'color'          => '#504b46',
			'additional-css' => 'letter-spacing: 0.224px;',
			'css-selectors'  => '.blog-wrapper p',
		),
	),

	array(
		'id'    => 'blog_styling_heading',
		'type'  => 'heading',
		'title' => esc_html__( 'Styling Settings', 'saddle' ),
	),

	array(
		'id'       => 'blog_background',
		'type'     => 'background',
		'title'    => esc_html__( 'Section Background', 'saddle' ),
		'sub_desc' => esc_html__( 'Set background color, pattern and image from here.', 'saddle' ),
		'options'  => array(
			'color'         => '',            // false to disable, not needed otherwise.
			'image_pattern' => $mts_patterns, // false to disable, array of options otherwise ( required !!! ).
			'image_upload'  => '',            // false to disable, not needed otherwise.
			'repeat'        => array(),       // false to disable, array of options to override default ( optional ).
			'attachment'    => array(),       // false to disable, array of options to override default ( optional ).
			'position'      => array(),       // false to disable, array of options to override default ( optional ).
			'size'          => array(),       // false to disable, array of options to override default ( optional ).
			'gradient'      => '',            // false to disable, not needed otherwise.
			'parallax'      => array(),       // false to disable, array of options to override default ( optional ).
		),
		'std'      => array(
			'color'         => '',
			'use'           => 'pattern',
			'image_pattern' => 'nobg',
			'image_upload'  => '',
			'repeat'        => 'repeat',
			'attachment'    => 'scroll',
			'position'      => 'left top',
			'size'          => 'cover',
			'gradient'      => array(
				'from'      => '#ffffff',
				'to'        => '#000000',
				'direction' => '0deg',
			),
			'parallax'      => '0',
		),
	),
	array(
		'id'       => 'blog_margin',
		'type'     => 'margin',
		'title'    => esc_html__( 'Margin', 'saddle' ),
		'sub_desc' => esc_html__( 'Set blog section margin from here.', 'saddle' ),
		'std'      => array(
			'top'    => saddle_px_to_rem( '114px' ),
			'right'  => '0',
			'bottom' => '0',
			'left'   => '0',
		),
	),
	array(
		'id'       => 'blog_padding',
		'type'     => 'margin',
		'title'    => esc_html__( 'Padding', 'saddle' ),
		'sub_desc' => esc_html__( 'Set blog section padding from here.', 'saddle' ),
		'std'      => array(
			'top'    => '0',
			'right'  => '0',
			'bottom' => '0',
			'left'   => '0',
		),
	),

);
