<?php
/**
 * HomePage Call to Action Section
 *
 * @package Saddle
 */

$menus['homepage']['child']['homepage-cta'] = array(
	'title' => esc_html__( 'Call to Action', 'saddle' ),
	'desc'  => esc_html__( 'From here, you can control the elements of the Call to Action Section.', 'saddle' ),
);

$sections['homepage-cta'] = array(

	array(
		'id'       => 'cta_title',
		'type'     => 'text',
		'title'    => esc_html__( 'Title', 'saddle' ),
		'sub_desc' => esc_html__( 'Enter title for cta section.', 'saddle' ),
		'std'      => 'Nunc congue, sem non mollis',
	),

	array(
		'id'       => 'cta_button_text',
		'type'     => 'text',
		'title'    => esc_html__( 'Button Text', 'saddle' ),
		'sub_desc' => esc_html__( 'Enter button text.', 'saddle' ),
		'std'      => 'Contact Us',
	),
	array(
		'id'       => 'cta_button_url',
		'type'     => 'text',
		'title'    => esc_html__( 'Button URL', 'saddle' ),
		'sub_desc' => esc_html__( 'Enter button URL.', 'saddle' ),
		'std'      => '#',
	),

	array(
		'id'    => 'cta_title_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Title Font', 'saddle' ),
		'std'   => array(
			'preview-text'   => 'Nunc congue, sem non mollis',
			'preview-color'  => 'light',
			'font-family'    => 'Playfair Display',
			'font-weight'    => '700',
			'font-size'      => '40px',
			'line-height'    => '1.3',
			'color'          => '#504b46',
			'additional-css' => 'letter-spacing: -0.2px;',
			'css-selectors'  => '.cta-section .title',
		),
	),

	array(
		'id'    => 'cta_styling_heading',
		'type'  => 'heading',
		'title' => esc_html__( 'Styling Settings', 'saddle' ),
	),

	array(
		'id'       => 'cta_background',
		'type'     => 'background',
		'title'    => esc_html__( 'Section Background', 'saddle' ),
		'sub_desc' => esc_html__( 'Set background color, pattern and image from here.', 'saddle' ),
		'options'  => array(
			'color'         => '',            // false to disable, not needed otherwise.
			'image_pattern' => $mts_patterns, // false to disable, array of options otherwise ( required !!! ).
			'image_upload'  => '',            // false to disable, not needed otherwise.
			'repeat'        => array(),       // false to disable, array of options to override default ( optional ).
			'attachment'    => array(),       // false to disable, array of options to override default ( optional ).
			'position'      => array(),       // false to disable, array of options to override default ( optional ).
			'size'          => array(),       // false to disable, array of options to override default ( optional ).
			'gradient'      => '',            // false to disable, not needed otherwise.
			'parallax'      => array(),       // false to disable, array of options to override default ( optional ).
		),
		'std'      => array(
			'color'         => '#d5ba9f',
			'use'           => 'pattern',
			'image_pattern' => 'nobg',
			'image_upload'  => '',
			'repeat'        => 'repeat',
			'attachment'    => 'scroll',
			'position'      => 'left top',
			'size'          => 'cover',
			'gradient'      => array(
				'from'      => '#ffffff',
				'to'        => '#000000',
				'direction' => '0deg',
			),
			'parallax'      => '0',
		),
	),
	array(
		'id'       => 'cta_margin',
		'type'     => 'margin',
		'title'    => esc_html__( 'Margin', 'saddle' ),
		'sub_desc' => esc_html__( 'Set cta section margin from here.', 'saddle' ),
		'std'      => array(
			'top'    => saddle_px_to_rem( '128px' ),
			'right'  => '0',
			'bottom' => '0',
			'left'   => '0',
		),
	),
	array(
		'id'       => 'cta_padding',
		'type'     => 'margin',
		'title'    => esc_html__( 'Padding', 'saddle' ),
		'sub_desc' => esc_html__( 'Set cta section padding from here.', 'saddle' ),
		'std'      => array(
			'top'    => saddle_px_to_rem( '60px' ),
			'right'  => '0',
			'bottom' => saddle_px_to_rem( '61px' ),
			'left'   => '0',
		),
	),

);
