<?php
/**
 * HomePage Events Section
 *
 * @package Saddle
 */

$menus['homepage']['child']['homepage-events'] = array(
	'title' => esc_html__( 'Our Events', 'saddle' ),
	'desc'  => esc_html__( 'From here, you can control the elements of the Events Section.', 'saddle' ),
);

$sections['homepage-events'] = array(

	array(
		'id'       => 'events_top_small_title',
		'type'     => 'text',
		'title'    => esc_html__( 'Top Small Title', 'saddle' ),
		'sub_desc' => esc_html__( 'Enter small title for events section.', 'saddle' ),
		'std'      => 'Our Events',
	),
	array(
		'id'       => 'events_top_title',
		'type'     => 'text',
		'title'    => esc_html__( 'Top Title', 'saddle' ),
		'sub_desc' => esc_html__( 'Enter title for events section.', 'saddle' ),
		'std'      => 'Upcoming Competitions',
	),

	array(
		'id'    => 'events_section_heading',
		'type'  => 'heading',
		'title' => esc_html__( 'Events Posts Settings', 'saddle' ),
	),

	array(
		'id'       => 'events_post_num',
		'type'     => 'text',
		'class'    => 'small-text',
		'title'    => esc_html__( 'Number of Posts', 'saddle' ),
		'sub_desc' => esc_html__( 'Enter number of posts for events section.', 'saddle' ),
		'args'     => array( 'type' => 'number' ),
		'std'      => '3',
	),

	array(
		'id'    => 'events_image_heading',
		'type'  => 'heading',
		'title' => esc_html__( 'Image Settings', 'saddle' ),
	),
	array(
		'id'       => 'event_image',
		'type'     => 'upload',
		'title'    => esc_html__( 'Image', 'saddle' ),
		'sub_desc' => esc_html__( 'Select an image file for your events section.', 'saddle' ),
		'return'   => 'url',
		'std'      => get_template_directory_uri() . '/images/event.jpg',
	),
	array(
		'id'       => 'event_image_position',
		'type'     => 'margin',
		'title'    => esc_html__( 'Image Position', 'saddle' ),
		'sub_desc' => esc_html__( 'Set image position from here.', 'saddle' ),
		'std'      => array(
			'top'    => '172px',
			'right'  => '0px',
			'bottom' => 'auto',
			'left'   => 'auto',
		),
	),

	array(
		'id'    => 'events_typo_heading',
		'type'  => 'heading',
		'title' => esc_html__( 'Typography Settings', 'saddle' ),
	),
	array(
		'id'    => 'events_top_small_title_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Top Small Title Font', 'saddle' ),
		'std'   => array(
			'preview-text'   => 'Our Events',
			'preview-color'  => 'light',
			'font-family'    => 'Playfair Display',
			'font-weight'    => '700',
			'font-size'      => '14px',
			'color'          => '#d5ba9f',
			'additional-css' => 'text-transform: uppercase; letter-spacing: 5px;',
			'css-selectors'  => '.events-section .top .small-title',
		),
	),
	array(
		'id'    => 'events_top_title_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Top Title Font', 'saddle' ),
		'std'   => array(
			'preview-text'   => 'Upcoming Competitions',
			'preview-color'  => 'light',
			'font-family'    => 'Playfair Display',
			'font-weight'    => '700',
			'font-size'      => '28px',
			'margin-top'     => saddle_px_to_rem( '18px' ),
			'color'          => '#504b46',
			'additional-css' => 'text-transform: uppercase; letter-spacing: 5.824px;',
			'css-selectors'  => '.events-section .top .section-title',
		),
	),

	array(
		'id'    => 'events_meta_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Meta Info Font', 'saddle' ),
		'std'   => array(
			'preview-text'   => '09 May 2020',
			'preview-color'  => 'light',
			'font-family'    => 'Roboto',
			'font-weight'    => '700',
			'font-size'      => '14px',
			'line-height'    => '1',
			'color'          => '#d5ba9f',
			'additional-css' => 'text-transform: uppercase; letter-spacing: 5px;',
			'css-selectors'  => '.events-wrapper .post-info',
		),
	),

	array(
		'id'    => 'events_title_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Post Title Font', 'saddle' ),
		'std'   => array(
			'preview-text'   => 'Post Title',
			'preview-color'  => 'light',
			'font-family'    => 'Playfair Display',
			'font-weight'    => '700',
			'font-size'      => '24px',
			'color'          => '#504b46',
			'additional-css' => 'letter-spacing: 0.504px;',
			'css-selectors'  => '.events-wrapper .title',
		),
	),


	array(
		'id'    => 'events_styling_heading',
		'type'  => 'heading',
		'title' => esc_html__( 'Styling Settings', 'saddle' ),
	),

	array(
		'id'       => 'events_background',
		'type'     => 'background',
		'title'    => esc_html__( 'Section Background', 'saddle' ),
		'sub_desc' => esc_html__( 'Set background color, pattern and image from here.', 'saddle' ),
		'options'  => array(
			'color'         => '',            // false to disable, not needed otherwise.
			'image_pattern' => $mts_patterns, // false to disable, array of options otherwise ( required !!! ).
			'image_upload'  => '',            // false to disable, not needed otherwise.
			'repeat'        => array(),       // false to disable, array of options to override default ( optional ).
			'attachment'    => array(),       // false to disable, array of options to override default ( optional ).
			'position'      => array(),       // false to disable, array of options to override default ( optional ).
			'size'          => array(),       // false to disable, array of options to override default ( optional ).
			'gradient'      => '',            // false to disable, not needed otherwise.
			'parallax'      => array(),       // false to disable, array of options to override default ( optional ).
		),
		'std'      => array(
			'color'         => '',
			'use'           => 'pattern',
			'image_pattern' => 'nobg',
			'image_upload'  => '',
			'repeat'        => 'repeat',
			'attachment'    => 'scroll',
			'position'      => 'left top',
			'size'          => 'cover',
			'gradient'      => array(
				'from'      => '#ffffff',
				'to'        => '#000000',
				'direction' => '0deg',
			),
			'parallax'      => '0',
		),
	),
	array(
		'id'       => 'events_margin',
		'type'     => 'margin',
		'title'    => esc_html__( 'Margin', 'saddle' ),
		'sub_desc' => esc_html__( 'Set events section margin from here.', 'saddle' ),
		'std'      => array(
			'top'    => '0',
			'right'  => '0',
			'bottom' => '0',
			'left'   => '0',
		),
	),
	array(
		'id'       => 'events_padding',
		'type'     => 'margin',
		'title'    => esc_html__( 'Padding', 'saddle' ),
		'sub_desc' => esc_html__( 'Set events section padding from here.', 'saddle' ),
		'std'      => array(
			'top'    => saddle_px_to_rem( '114px' ),
			'right'  => '0',
			'bottom' => saddle_px_to_rem( '115px' ),
			'left'   => '0',
		),
	),

);
