<?php
/**
 * HomePage Plans Section
 *
 * @package Saddle
 */

$menus['homepage']['child']['homepage-plans'] = array(
	'title' => esc_html__( 'Our Plans', 'saddle' ),
	'desc'  => esc_html__( 'From here, you can control the elements of the Plans Section.', 'saddle' ),
);

$plans_text = 'Nam maximus ullamcorper quam sollicitudin pretium. Nunc congue, sem non mollis imperdiet, sapien tellus efficitur nisi. sapien tellus efficitur nisi.';

$plans_desc = 'Nam maximus ullamcorper quam sollicitudin pretium. Nunc congue, sem non mollis imperdiet, sapien tellus efficitur nisi, nec ullamcorper nunc nisi eu mi. Vivamus egestas pulvinar mi. Proin pretium mauris vel orci congue, congue aliquam tellus lacinia.';

$sections['homepage-plans'] = array(

	array(
		'id'       => 'plans_top_small_title',
		'type'     => 'text',
		'title'    => esc_html__( 'Top Small Title', 'saddle' ),
		'sub_desc' => esc_html__( 'Enter small title for plans section.', 'saddle' ),
		'std'      => 'Tariffs',
	),
	array(
		'id'       => 'plans_top_title',
		'type'     => 'text',
		'title'    => esc_html__( 'Top Title', 'saddle' ),
		'sub_desc' => esc_html__( 'Enter title for plans section.', 'saddle' ),
		'std'      => 'Our Plans',
	),
	array(
		'id'       => 'plans_top_desc',
		'type'     => 'textarea',
		'title'    => esc_html__( 'Top Description', 'saddle' ),
		'sub_desc' => esc_html__( 'Enter description for plans section.', 'saddle' ),
		'std'      => $plans_desc,
	),

	array(
		'id'    => 'plans_section_heading',
		'type'  => 'heading',
		'title' => esc_html__( 'Plans Settings', 'saddle' ),
	),

	array(
		'id'        => 'plans_list',
		'type'      => 'group',
		'title'     => esc_html__( 'Plans', 'saddle' ),
		'sub_desc'  => esc_html__( 'Add plans appearing on the Plans section.', 'saddle' ),
		'groupname' => esc_html__( 'Service', 'saddle' ),
		'subfields' => array(
			array(
				'id'    => 'plans_list_title',
				'type'  => 'text',
				'title' => esc_html__( 'Title', 'saddle' ),
			),
			array(
				'id'    => 'plans_list_title_color',
				'type'  => 'color',
				'title' => esc_html__( 'Title Color', 'saddle' ),
			),
			array(
				'id'    => 'plans_list_price',
				'type'  => 'text',
				'title' => esc_html__( 'Price', 'saddle' ),
			),
			array(
				'id'    => 'plans_list_price_color',
				'type'  => 'color',
				'title' => esc_html__( 'Price Color', 'saddle' ),
			),
			array(
				'id'    => 'plans_list_text',
				'type'  => 'textarea',
				'title' => esc_html__( 'Text', 'saddle' ),
			),
			array(
				'id'    => 'plans_list_text_color',
				'type'  => 'color',
				'title' => esc_html__( 'Text Color', 'saddle' ),
			),
			array(
				'id'      => 'plans_button_style',
				'type'    => 'select',
				'title'   => esc_html__( 'Button Style', 'saddle' ),
				'options' => array(
					'light' => esc_html__( 'Light', 'saddle' ),
					'dark'  => esc_html__( 'Dark', 'saddle' ),
				),
			),
			array(
				'id'    => 'plans_button_text',
				'type'  => 'text',
				'title' => esc_html__( 'Button Text', 'saddle' ),
			),
			array(
				'id'    => 'plans_button_url',
				'type'  => 'text',
				'title' => esc_html__( 'Button URL', 'saddle' ),
			),
			array(
				'id'      => 'plans_background_style',
				'type'    => 'select',
				'title'   => esc_html__( 'Background Style', 'saddle' ),
				'options' => array(
					'color' => esc_html__( 'Color', 'saddle' ),
					'image' => esc_html__( 'Image', 'saddle' ),
				),
			),
			array(
				'id'         => 'plans_list_bg_color',
				'type'       => 'color',
				'title'      => esc_html__( 'Background Color', 'saddle' ),
				'dependency' => array(
					'relation' => 'and',
					array(
						'field'      => 'plans_background_style',
						'value'      => 'color',
						'comparison' => '==',
					),
				),
			),
			array(
				'id'         => 'plans_list_bg_image',
				'type'       => 'upload',
				'title'      => esc_html__( 'Background Image', 'saddle' ),
				'sub_desc'   => esc_html__( 'Select an image file. Recommended size: 350 X 420 in px.', 'saddle' ),
				'dependency' => array(
					'relation' => 'and',
					array(
						'field'      => 'plans_background_style',
						'value'      => 'image',
						'comparison' => '==',
					),
				),
			),
			array(
				'id'    => 'plans_list_margin',
				'type'  => 'margin',
				'title' => esc_html__( 'Plan Margin', 'saddle' ),
				'right' => false,
				'left'  => false,
			),
			array(
				'id'    => 'plans_list_padding',
				'type'  => 'margin',
				'title' => esc_html__( 'Plan Padding', 'saddle' ),
			),
		),
		'std'       => array(
			'1' => array(
				'group_sort'             => '1',
				'plans_list_title'       => 'Basic',
				'plans_list_title_color' => '#d5ba9f',
				'plans_list_price'       => '$20',
				'plans_list_price_color' => '#504b46',
				'plans_list_text'        => $plans_text,
				'plans_list_text_color'  => '#504b46',
				'plans_button_style'     => 'light',
				'plans_button_text'      => 'Contact Us',
				'plans_button_url'       => '#',
				'plans_background_style' => 'color',
				'plans_list_bg_color'    => '#ffffff',
				'plans_list_margin'      => array(
					'top'    => saddle_px_to_rem( '24px' ),
					'bottom' => '0',
				),
				'plans_list_padding'     => array(
					'top'    => saddle_px_to_rem( '34px' ),
					'right'  => saddle_px_to_rem( '34px' ),
					'bottom' => saddle_px_to_rem( '31px' ),
					'left'   => saddle_px_to_rem( '34px' ),
				),
			),
			'2' => array(
				'group_sort'             => '2',
				'plans_list_title'       => 'Professional',
				'plans_list_title_color' => '#ffffff',
				'plans_list_price'       => '$39',
				'plans_list_price_color' => '#ffffff',
				'plans_list_text'        => $plans_text,
				'plans_list_text_color'  => '#ffffff',
				'plans_button_style'     => 'dark',
				'plans_button_text'      => 'Contact Us',
				'plans_button_url'       => '#',
				'plans_background_style' => 'image',
				'plans_list_bg_image'    => get_template_directory_uri() . '/images/plan-bg.jpg',
				'plans_list_margin'      => array(
					'top'    => '0',
					'bottom' => '0',
				),
				'plans_list_padding'     => array(
					'top'    => saddle_px_to_rem( '34px' ),
					'right'  => saddle_px_to_rem( '34px' ),
					'bottom' => saddle_px_to_rem( '31px' ),
					'left'   => saddle_px_to_rem( '34px' ),
				),
			),
			'3' => array(
				'group_sort'             => '3',
				'plans_list_title'       => 'Pro Plus',
				'plans_list_title_color' => '#d5ba9f',
				'plans_list_price'       => '$69',
				'plans_list_price_color' => '#504b46',
				'plans_list_text'        => $plans_text,
				'plans_list_text_color'  => '#504b46',
				'plans_button_style'     => 'light',
				'plans_button_text'      => 'Contact Us',
				'plans_button_url'       => '#',
				'plans_background_style' => 'color',
				'plans_list_bg_color'    => '#ffffff',
				'plans_list_margin'      => array(
					'top'    => saddle_px_to_rem( '24px' ),
					'bottom' => '0',
				),
				'plans_list_padding'     => array(
					'top'    => saddle_px_to_rem( '34px' ),
					'right'  => saddle_px_to_rem( '34px' ),
					'bottom' => saddle_px_to_rem( '31px' ),
					'left'   => saddle_px_to_rem( '34px' ),
				),
			),
		),
	),

	array(
		'id'    => 'plans_typo_heading',
		'type'  => 'heading',
		'title' => esc_html__( 'Typography Settings', 'saddle' ),
	),
	array(
		'id'    => 'plans_top_small_title_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Top Small Title Font', 'saddle' ),
		'std'   => array(
			'preview-text'   => 'Tariffs',
			'preview-color'  => 'dark',
			'font-family'    => 'Playfair Display',
			'font-weight'    => '700',
			'font-size'      => '14px',
			'color'          => '#d5ba9f',
			'additional-css' => 'text-transform: uppercase; letter-spacing: 5px;',
			'css-selectors'  => '.plans-section .small-title',
		),
	),
	array(
		'id'    => 'plans_top_title_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Top Title Font', 'saddle' ),
		'std'   => array(
			'preview-text'   => 'Our Plans',
			'preview-color'  => 'dark',
			'font-family'    => 'Playfair Display',
			'font-weight'    => '700',
			'font-size'      => '28px',
			'margin-top'     => saddle_px_to_rem( '18px' ),
			'margin-bottom'  => '0px',
			'color'          => '#ffffff',
			'additional-css' => 'text-transform: uppercase; letter-spacing: 5.824px;',
			'css-selectors'  => '.plans-section .section-title',
		),
	),
	array(
		'id'    => 'plans_top_desc_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Top Description Font', 'saddle' ),
		'std'   => array(
			'preview-text'   => $plans_desc,
			'preview-color'  => 'dark',
			'font-family'    => 'Roboto',
			'font-weight'    => '300',
			'font-size'      => '15px',
			'line-height'    => '1.67',
			'margin-top'     => saddle_px_to_rem( '27px' ),
			'color'          => '#ffffff',
			'additional-css' => 'letter-spacing: 0.24px;',
			'css-selectors'  => '.plans-section .subheading',
		),
	),

	array(
		'id'    => 'plans_title_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Title Font', 'saddle' ),
		'color' => false,
		'std'   => array(
			'preview-text'   => '40 Years of Riding Experience',
			'preview-color'  => 'light',
			'font-family'    => 'Playfair Display',
			'font-weight'    => '700',
			'font-size'      => '14px',
			'additional-css' => 'text-transform: uppercase; letter-spacing: 5px;',
			'css-selectors'  => '.plans-wrapper .title',
		),
	),
	array(
		'id'    => 'plans_price_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Price Font', 'saddle' ),
		'color' => false,
		'std'   => array(
			'preview-text'   => '$20',
			'preview-color'  => 'light',
			'font-family'    => 'Playfair Display',
			'font-weight'    => '700',
			'font-size'      => '80px',
			'line-height'    => '1',
			'margin-top'     => saddle_px_to_rem( '31px' ),
			'additional-css' => 'letter-spacing: -2.8px;',
			'css-selectors'  => '.plans-wrapper .price',
		),
	),
	array(
		'id'    => 'plans_content_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Content Font', 'saddle' ),
		'color' => false,
		'std'   => array(
			'preview-text'   => $plans_desc,
			'preview-color'  => 'light',
			'font-family'    => 'Roboto',
			'font-weight'    => '300',
			'font-size'      => '14px',
			'line-height'    => '1.786',
			'margin-top'     => saddle_px_to_rem( '35px' ),
			'additional-css' => 'letter-spacing: 0.224px;',
			'css-selectors'  => '.plans-wrapper .content',
		),
	),

	array(
		'id'    => 'plans_styling_heading',
		'type'  => 'heading',
		'title' => esc_html__( 'Styling Settings', 'saddle' ),
	),

	array(
		'id'       => 'plans_background',
		'type'     => 'background',
		'title'    => esc_html__( 'Section Background', 'saddle' ),
		'sub_desc' => esc_html__( 'Set background color, pattern and image from here.', 'saddle' ),
		'options'  => array(
			'color'         => '',            // false to disable, not needed otherwise.
			'image_pattern' => $mts_patterns, // false to disable, array of options otherwise ( required !!! ).
			'image_upload'  => '',            // false to disable, not needed otherwise.
			'repeat'        => array(),       // false to disable, array of options to override default ( optional ).
			'attachment'    => array(),       // false to disable, array of options to override default ( optional ).
			'position'      => array(),       // false to disable, array of options to override default ( optional ).
			'size'          => array(),       // false to disable, array of options to override default ( optional ).
			'gradient'      => '',            // false to disable, not needed otherwise.
			'parallax'      => array(),       // false to disable, array of options to override default ( optional ).
		),
		'std'      => array(
			'color'         => '',
			'use'           => 'upload',
			'image_pattern' => 'nobg',
			'image_upload'  => get_template_directory_uri() . '/images/plans-bg.jpg',
			'repeat'        => 'no-repeat',
			'attachment'    => 'scroll',
			'position'      => 'center top',
			'size'          => 'cover',
			'gradient'      => array(
				'from'      => '#ffffff',
				'to'        => '#000000',
				'direction' => '0deg',
			),
			'parallax'      => '0',
		),
	),
	array(
		'id'       => 'plans_margin',
		'type'     => 'margin',
		'title'    => esc_html__( 'Section Margin', 'saddle' ),
		'sub_desc' => esc_html__( 'Set plans section margin from here.', 'saddle' ),
		'std'      => array(
			'top'    => saddle_px_to_rem( '120px' ),
			'right'  => '0',
			'bottom' => saddle_px_to_rem( '88px' ),
			'left'   => '0',
		),
	),
	array(
		'id'       => 'plans_padding',
		'type'     => 'margin',
		'title'    => esc_html__( 'Section Padding', 'saddle' ),
		'sub_desc' => esc_html__( 'Set plans section padding from here.', 'saddle' ),
		'std'      => array(
			'top'    => saddle_px_to_rem( '92px' ),
			'right'  => '0',
			'bottom' => '0',
			'left'   => '0',
		),
	),

);
