<?php
/**
 * HomePage Services Section
 *
 * @package Saddle
 */

$menus['homepage']['child']['homepage-services'] = array(
	'title' => esc_html__( 'Our Services', 'saddle' ),
	'desc'  => esc_html__( 'From here, you can control the elements of the Services Section.', 'saddle' ),
);

$services_text = 'Nam maximus ullamcorper quam sollicitudin pretium. Nunc congue, sem non mollis imperdiet, sapien tellus efficitur nisi, nec ullamcorper nunc.';

$sections['homepage-services'] = array(

	array(
		'id'       => 'services_top_small_title',
		'type'     => 'text',
		'title'    => esc_html__( 'Top Small Title', 'saddle' ),
		'sub_desc' => esc_html__( 'Enter small title for services section.', 'saddle' ),
		'std'      => 'Our Contrast &',
	),
	array(
		'id'       => 'services_top_title',
		'type'     => 'text',
		'title'    => esc_html__( 'Top Title', 'saddle' ),
		'sub_desc' => esc_html__( 'Enter title for services section.', 'saddle' ),
		'std'      => 'Our Differences',
	),

	array(
		'id'    => 'services_section_heading',
		'type'  => 'heading',
		'title' => esc_html__( 'Section Settings', 'saddle' ),
	),

	array(
		'id'        => 'services_list',
		'type'      => 'group',
		'title'     => esc_html__( 'Services', 'saddle' ),
		'sub_desc'  => esc_html__( 'Add services appearing on the Services section.', 'saddle' ),
		'groupname' => esc_html__( 'Service', 'saddle' ),
		'subfields' => array(
			array(
				'id'    => 'services_list_title',
				'type'  => 'text',
				'title' => esc_html__( 'Title', 'saddle' ),
			),
			array(
				'id'       => 'services_list_image',
				'type'     => 'upload',
				'title'    => esc_html__( 'Upload Image', 'saddle' ),
				'sub_desc' => esc_html__( 'Select an image file. Recommended size: 255 X 255 in px.', 'saddle' ),
			),
			array(
				'id'    => 'services_list_text',
				'type'  => 'textarea',
				'title' => esc_html__( 'Text', 'saddle' ),
			),
			array(
				'id'    => 'services_button_text',
				'type'  => 'text',
				'title' => esc_html__( 'Button Text', 'saddle' ),
			),
			array(
				'id'    => 'services_button_url',
				'type'  => 'text',
				'title' => esc_html__( 'Button URL', 'saddle' ),
			),
		),
		'std'       => array(
			'1' => array(
				'group_sort'           => '1',
				'services_list_title'  => 'Dedicated Instructors',
				'services_list_image'  => get_template_directory_uri() . '/images/services-1.jpg',
				'services_list_text'   => $services_text,
				'services_button_text' => 'Read More',
				'services_button_url'  => '#',
			),
			'2' => array(
				'group_sort'           => '2',
				'services_list_title'  => 'Riding School',
				'services_list_image'  => get_template_directory_uri() . '/images/services-2.jpg',
				'services_list_text'   => $services_text,
				'services_button_text' => 'Read More',
				'services_button_url'  => '#',
			),
			'3' => array(
				'group_sort'           => '3',
				'services_list_title'  => 'Our Horses',
				'services_list_image'  => get_template_directory_uri() . '/images/services-3.jpg',
				'services_list_text'   => $services_text,
				'services_button_text' => 'Read More',
				'services_button_url'  => '#',
			),
			'4' => array(
				'group_sort'           => '4',
				'services_list_title'  => 'Our Stables',
				'services_list_image'  => get_template_directory_uri() . '/images/services-4.jpg',
				'services_list_text'   => $services_text,
				'services_button_text' => 'Read More',
				'services_button_url'  => '#',
			),
		),
	),

	array(
		'id'    => 'services_typo_heading',
		'type'  => 'heading',
		'title' => esc_html__( 'Typography Settings', 'saddle' ),
	),
	array(
		'id'    => 'services_top_small_title_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Top Small Title Font', 'saddle' ),
		'std'   => array(
			'preview-text'   => 'Our contrast &',
			'preview-color'  => 'light',
			'font-family'    => 'Playfair Display',
			'font-weight'    => '700',
			'font-size'      => '14px',
			'color'          => '#d5ba9f',
			'additional-css' => 'text-transform: uppercase; letter-spacing: 5px;',
			'css-selectors'  => '.services-section .top .small-title',
		),
	),
	array(
		'id'    => 'services_top_title_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Top Title Font', 'saddle' ),
		'std'   => array(
			'preview-text'   => 'Our differences',
			'preview-color'  => 'light',
			'font-family'    => 'Playfair Display',
			'font-weight'    => '700',
			'font-size'      => '28px',
			'margin-top'     => saddle_px_to_rem( '19px' ),
			'color'          => '#504b46',
			'additional-css' => 'text-transform: uppercase; letter-spacing: 5.824px;',
			'css-selectors'  => '.services-section .top .section-title',
		),
	),

	array(
		'id'    => 'services_title_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Title Font', 'saddle' ),
		'std'   => array(
			'preview-text'   => '40 Years of Riding Experience',
			'preview-color'  => 'light',
			'font-family'    => 'Playfair Display',
			'font-weight'    => '700',
			'font-size'      => '22px',
			'line-height'    => '1.1',
			'margin-top'     => saddle_px_to_rem( '26px' ),
			'color'          => '#504b46',
			'additional-css' => 'letter-spacing: -0.11px;',
			'css-selectors'  => '.services-wrapper .title',
		),
	),
	array(
		'id'    => 'services_content_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Content Font', 'saddle' ),
		'std'   => array(
			'preview-text'   => 'Nam maximus ullamcorper quam sollicitudin pretium. Nunc congue, sem non mollis imperdiet, sapien tellus efficitur nisi, nec ullamcorper nunc nisi eu mi. Vivamus egestas pulvinar mi. Proin pretium mauris vel orci congue, congue aliquam tellus lacinia.',
			'preview-color'  => 'light',
			'font-family'    => 'Roboto',
			'font-weight'    => '300',
			'font-size'      => '14px',
			'line-height'    => '1.786',
			'margin-top'     => saddle_px_to_rem( '17px' ),
			'color'          => '#504b46',
			'additional-css' => 'letter-spacing: 0.224px;',
			'css-selectors'  => '.services-wrapper p',
		),
	),

	array(
		'id'    => 'services_styling_heading',
		'type'  => 'heading',
		'title' => esc_html__( 'Styling Settings', 'saddle' ),
	),

	array(
		'id'       => 'services_background',
		'type'     => 'background',
		'title'    => esc_html__( 'Section Background', 'saddle' ),
		'sub_desc' => esc_html__( 'Set background color, pattern and image from here.', 'saddle' ),
		'options'  => array(
			'color'         => '',            // false to disable, not needed otherwise.
			'image_pattern' => $mts_patterns, // false to disable, array of options otherwise ( required !!! ).
			'image_upload'  => '',            // false to disable, not needed otherwise.
			'repeat'        => array(),       // false to disable, array of options to override default ( optional ).
			'attachment'    => array(),       // false to disable, array of options to override default ( optional ).
			'position'      => array(),       // false to disable, array of options to override default ( optional ).
			'size'          => array(),       // false to disable, array of options to override default ( optional ).
			'gradient'      => '',            // false to disable, not needed otherwise.
			'parallax'      => array(),       // false to disable, array of options to override default ( optional ).
		),
		'std'      => array(
			'color'         => '',
			'use'           => 'pattern',
			'image_pattern' => 'nobg',
			'image_upload'  => '',
			'repeat'        => 'repeat',
			'attachment'    => 'scroll',
			'position'      => 'left top',
			'size'          => 'cover',
			'gradient'      => array(
				'from'      => '#ffffff',
				'to'        => '#000000',
				'direction' => '0deg',
			),
			'parallax'      => '0',
		),
	),
	array(
		'id'       => 'services_margin',
		'type'     => 'margin',
		'title'    => esc_html__( 'Margin', 'saddle' ),
		'sub_desc' => esc_html__( 'Set services section margin from here.', 'saddle' ),
		'std'      => array(
			'top'    => '0',
			'right'  => '0',
			'bottom' => '0',
			'left'   => '0',
		),
	),
	array(
		'id'       => 'services_padding',
		'type'     => 'margin',
		'title'    => esc_html__( 'Padding', 'saddle' ),
		'sub_desc' => esc_html__( 'Set services section padding from here.', 'saddle' ),
		'std'      => array(
			'top'    => saddle_px_to_rem( '146px' ),
			'right'  => '0',
			'bottom' => '0',
			'left'   => '0',
		),
	),

);
