<?php
/**
 * HomePage Testimonials Section
 *
 * @package Saddle
 */

$menus['homepage']['child']['homepage-testimonials'] = array(
	'title' => esc_html__( 'Testimonials', 'saddle' ),
	'desc'  => esc_html__( 'From here, you can control the elements of the Testimonials Section.', 'saddle' ),
);

$testimonials_text = 'Nam maximus ullamcorper quam sollicitudin pretium. Nunc congue, sem non mollis imperdiet, sapien tellus efficitur nisi, nec ullamcorper nunc nisi eu mi. Vivamus egestas pulvinar mi. Proin pretium mauris vel orci congue, congue aliquam tellus lacinia.';

$sections['homepage-testimonials'] = array(

	array(
		'id'       => 'testimonials_top_small_title',
		'type'     => 'text',
		'title'    => esc_html__( 'Top Small Title', 'saddle' ),
		'sub_desc' => esc_html__( 'Enter small title for testimonials section.', 'saddle' ),
		'std'      => 'Our Client&apos;s',
	),
	array(
		'id'       => 'testimonials_top_title',
		'type'     => 'text',
		'title'    => esc_html__( 'Top Title', 'saddle' ),
		'sub_desc' => esc_html__( 'Enter title for testimonials section.', 'saddle' ),
		'std'      => 'Testimonials',
	),
	array(
		'id'       => 'testimonials_top_desc',
		'type'     => 'textarea',
		'title'    => esc_html__( 'Top Description', 'saddle' ),
		'sub_desc' => esc_html__( 'Enter description for plans section.', 'saddle' ),
		'std'      => $testimonials_text,
	),

	array(
		'id'    => 'testimonials_section_heading',
		'type'  => 'heading',
		'title' => esc_html__( 'Testimonials Settings', 'saddle' ),
	),

	array(
		'id'        => 'testimonials_list',
		'type'      => 'group',
		'title'     => esc_html__( 'Testimonials', 'saddle' ),
		'sub_desc'  => esc_html__( 'Add testimonials appearing on the Testimonials section.', 'saddle' ),
		'groupname' => esc_html__( 'Testimonial', 'saddle' ),
		'subfields' => array(
			array(
				'id'    => 'testimonials_list_author',
				'type'  => 'text',
				'title' => esc_html__( 'Author Name', 'saddle' ),
			),
			array(
				'id'       => 'testimonials_list_image',
				'type'     => 'upload',
				'title'    => esc_html__( 'Upload Author Image', 'saddle' ),
				'sub_desc' => esc_html__( 'Select an image file. Recommended size: 80 X 80 in px.', 'saddle' ),
			),
			array(
				'id'    => 'author_testimonial',
				'type'  => 'textarea',
				'title' => esc_html__( 'Testimonial', 'saddle' ),
			),
		),
		'std'       => array(
			'1' => array(
				'group_sort'               => '1',
				'testimonials_list_author' => 'Anastasia Stone',
				'testimonials_list_image'  => get_template_directory_uri() . '/images/author-1.png',
				'author_testimonial'       => $testimonials_text,
			),
			'2' => array(
				'group_sort'               => '2',
				'testimonials_list_author' => 'Ryan Robinson',
				'testimonials_list_image'  => get_template_directory_uri() . '/images/author-2.png',
				'author_testimonial'       => $testimonials_text,
			),
			'3' => array(
				'group_sort'               => '3',
				'testimonials_list_author' => 'Maider Izeta',
				'testimonials_list_image'  => get_template_directory_uri() . '/images/author-3.png',
				'author_testimonial'       => $testimonials_text,
			),
		),
	),

	array(
		'id'    => 'testimonials_typo_heading',
		'type'  => 'heading',
		'title' => esc_html__( 'Typography Settings', 'saddle' ),
	),
	array(
		'id'    => 'testimonials_top_small_title_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Top Small Title Font', 'saddle' ),
		'std'   => array(
			'preview-text'   => 'Our Client&apos;s',
			'preview-color'  => 'dark',
			'font-family'    => 'Playfair Display',
			'font-weight'    => '700',
			'font-size'      => '14px',
			'color'          => '#d5ba9f',
			'additional-css' => 'text-transform: uppercase; letter-spacing: 5px;',
			'css-selectors'  => '.testimonials-section .top .small-title',
		),
	),
	array(
		'id'    => 'testimonials_top_title_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Top Title Font', 'saddle' ),
		'std'   => array(
			'preview-text'   => 'Testimonials',
			'preview-color'  => 'dark',
			'font-family'    => 'Playfair Display',
			'font-weight'    => '700',
			'font-size'      => '28px',
			'margin-top'     => saddle_px_to_rem( '18px' ),
			'margin-bottom'  => '0px',
			'color'          => '#ffffff',
			'additional-css' => 'text-transform: uppercase; letter-spacing: 5.824px;',
			'css-selectors'  => '.testimonials-section .top .section-title',
		),
	),
	array(
		'id'    => 'testimonials_top_desc_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Top Description Font', 'saddle' ),
		'std'   => array(
			'preview-text'   => $testimonials_text,
			'preview-color'  => 'dark',
			'font-family'    => 'Roboto',
			'font-weight'    => '300',
			'font-size'      => '15px',
			'line-height'    => '1.67',
			'margin-top'     => saddle_px_to_rem( '27px' ),
			'color'          => '#ffffff',
			'additional-css' => 'letter-spacing: 0.24px;',
			'css-selectors'  => '.testimonials-section .top .subheading',
		),
	),

	array(
		'id'    => 'testimonials_author_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Author Name Font', 'saddle' ),
		'std'   => array(
			'preview-text'   => 'Author Name',
			'preview-color'  => 'light',
			'font-family'    => 'Playfair Display',
			'font-weight'    => '700',
			'font-size'      => '24px',
			'margin-top'     => saddle_px_to_rem( '-21px' ),
			'color'          => '#504b46',
			'additional-css' => 'letter-spacing: 0.504px;',
			'css-selectors'  => '.testimonial-wrap .author',
		),
	),
	array(
		'id'    => 'testimonial_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Testimonial Font', 'saddle' ),
		'std'   => array(
			'preview-text'   => $testimonials_text,
			'preview-color'  => 'light',
			'font-family'    => 'Roboto',
			'font-weight'    => '300',
			'font-size'      => '14px',
			'line-height'    => '1.786',
			'margin-top'     => saddle_px_to_rem( '18px' ),
			'color'          => '#504b46',
			'additional-css' => 'letter-spacing: 0.224px;',
			'css-selectors'  => '.testimonial-wrap .testimonial',
		),
	),

	array(
		'id'    => 'testimonials_styling_heading',
		'type'  => 'heading',
		'title' => esc_html__( 'Styling Settings', 'saddle' ),
	),

	array(
		'id'       => 'testimonials_background',
		'type'     => 'background',
		'title'    => esc_html__( 'Section Background', 'saddle' ),
		'sub_desc' => esc_html__( 'Set background color, pattern and image from here.', 'saddle' ),
		'options'  => array(
			'color'         => '',            // false to disable, not needed otherwise.
			'image_pattern' => $mts_patterns, // false to disable, array of options otherwise ( required !!! ).
			'image_upload'  => '',            // false to disable, not needed otherwise.
			'repeat'        => array(),       // false to disable, array of options to override default ( optional ).
			'attachment'    => array(),       // false to disable, array of options to override default ( optional ).
			'position'      => array(),       // false to disable, array of options to override default ( optional ).
			'size'          => array(),       // false to disable, array of options to override default ( optional ).
			'gradient'      => '',            // false to disable, not needed otherwise.
			'parallax'      => array(),       // false to disable, array of options to override default ( optional ).
		),
		'std'      => array(
			'color'         => '',
			'use'           => 'upload',
			'image_pattern' => 'nobg',
			'image_upload'  => get_template_directory_uri() . '/images/testimonials-bg.jpg',
			'repeat'        => 'no-repeat',
			'attachment'    => 'scroll',
			'position'      => 'center top',
			'size'          => 'cover',
			'gradient'      => array(
				'from'      => '#ffffff',
				'to'        => '#000000',
				'direction' => '0deg',
			),
			'parallax'      => '0',
		),
	),
	array(
		'id'       => 'testimonials_margin',
		'type'     => 'margin',
		'title'    => esc_html__( 'Margin', 'saddle' ),
		'sub_desc' => esc_html__( 'Set testimonials section margin from here.', 'saddle' ),
		'std'      => array(
			'top'    => saddle_px_to_rem( '150px' ),
			'right'  => '0',
			'bottom' => saddle_px_to_rem( '125px' ),
			'left'   => '0',
		),
	),
	array(
		'id'       => 'testimonials_padding',
		'type'     => 'margin',
		'title'    => esc_html__( 'Padding', 'saddle' ),
		'sub_desc' => esc_html__( 'Set testimonials section padding from here.', 'saddle' ),
		'std'      => array(
			'top'    => saddle_px_to_rem( '92px' ),
			'right'  => '0',
			'bottom' => '0',
			'left'   => '0',
		),
	),

);
