<?php
/**
 * Single Comments
 *
 * @package Saddle
 */

$menus['single-comments'] = array(
	'icon'  => 'fa-comment-o',
	'title' => esc_html__( 'Comments Section', 'saddle' ),
	'desc'  => esc_html__( 'From here, you can control the appearance and functionality of Comments box in single posts page.', 'saddle' ),
);

$author_dependency = array(
	'relation' => 'and',
	array(
		'field'      => 'author_comment',
		'value'      => '1',
		'comparison' => '==',
	),
);

$sections['single-comments'] = array(

	array(
		'id'    => 'comments_heading',
		'type'  => 'heading',
		'title' => esc_html__( 'General Settings', 'saddle' ),
	),

	array(
		'id'       => 'mts_comment_date',
		'type'     => 'switch',
		'title'    => esc_html__( 'Date in Comments', 'saddle' ),
		'sub_desc' => esc_html__( 'Use this button to show the date for comments.', 'saddle' ),
		'std'      => '1',
	),

	array(
		'id'       => 'comments_margin',
		'type'     => 'margin',
		'title'    => esc_html__( 'Margin', 'saddle' ),
		'sub_desc' => esc_html__( 'Set Comments box margin from here.', 'saddle' ),
		'std'      => array(
			'top'    => saddle_px_to_rem( '25px' ),
			'right'  => '0',
			'bottom' => '0',
			'left'   => '0',
		),
	),
	array(
		'id'       => 'comments_padding',
		'type'     => 'margin',
		'title'    => esc_html__( 'Padding', 'saddle' ),
		'sub_desc' => esc_html__( 'Set Comments box padding from here.', 'saddle' ),
		'std'      => array(
			'top'    => '0',
			'right'  => '0',
			'bottom' => '0',
			'left'   => '0',
		),
	),

	array(
		'id'    => 'comments_list_heading',
		'type'  => 'heading',
		'title' => esc_html__( 'List Settings', 'saddle' ),
	),

	array(
		'id'       => 'comments_list_image_margin',
		'type'     => 'margin',
		'title'    => esc_html__( 'Image Margin', 'saddle' ),
		'sub_desc' => esc_html__( 'Set image margin from here.', 'saddle' ),
		'std'      => array(
			'top'    => '0',
			'right'  => saddle_px_to_rem( '34px' ),
			'bottom' => saddle_px_to_rem( '10px' ),
			'left'   => '0',
		),
	),
	array(
		'id'       => 'comments_list_image_border_radius',
		'type'     => 'text',
		'class'    => 'small-text',
		'title'    => esc_html__( 'Comment Image Border Radius', 'saddle' ),
		'sub_desc' => esc_html__( 'Set comment image border radius from here.', 'saddle' ),
		'std'      => '50',
		'args'     => array( 'type' => 'number' ),
	),
	array(
		'id'       => 'comments_list_border',
		'type'     => 'border',
		'title'    => esc_html__( 'Comment Border', 'saddle' ),
		'sub_desc' => esc_html__( 'Manage comment list border from here.', 'saddle' ),
		'std'      => array(
			'color'     => '#ddddde',
			'direction' => 'bottom',
			'size'      => 1,
			'style'     => 'solid',
		),
	),
	array(
		'id'       => 'comments_list_margin',
		'type'     => 'margin',
		'title'    => esc_html__( 'Comment Margin', 'saddle' ),
		'sub_desc' => esc_html__( 'Set Comments margin from here.', 'saddle' ),
		'std'      => array(
			'top'    => '0',
			'right'  => '0',
			'bottom' => '0',
			'left'   => '0',
		),
	),
	array(
		'id'       => 'comments_list_padding',
		'type'     => 'margin',
		'title'    => esc_html__( 'Comment Padding', 'saddle' ),
		'sub_desc' => esc_html__( 'Set Comments padding from here.', 'saddle' ),
		'std'      => array(
			'top'    => saddle_px_to_rem( '30px' ),
			'right'  => '0',
			'bottom' => saddle_px_to_rem( '27px' ),
			'left'   => '0',
		),
	),

	array(
		'id'    => 'comments_author_heading',
		'type'  => 'heading',
		'title' => esc_html__( 'Author Comments Settings', 'saddle' ),
	),

	array(
		'id'       => 'author_comment',
		'type'     => 'switch',
		'title'    => esc_html__( 'Highlight Author Comment', 'saddle' ),
		'sub_desc' => esc_html__( 'Use this button to highlight author comments.', 'saddle' ),
		'std'      => '1',
	),
	array(
		'id'         => 'author_comment_bg',
		'type'       => 'color',
		'title'      => esc_html__( 'Author Comment Background', 'saddle' ),
		'sub_desc'   => esc_html__( 'Use this option to change background color.', 'saddle' ),
		'std'        => '#fafbfc',
		'dependency' => $author_dependency,
	),
	array(
		'id'         => 'comments_list_author_margin',
		'type'       => 'margin',
		'title'      => esc_html__( 'Author Comment Margin', 'saddle' ),
		'sub_desc'   => esc_html__( 'Set author comments margin from here.', 'saddle' ),
		'std'        => array(
			'top'    => saddle_px_to_rem( '35px' ),
			'right'  => '0',
			'bottom' => '0',
			'left'   => '0',
		),
		'dependency' => $author_dependency,
	),
	array(
		'id'         => 'comments_list_author_padding',
		'type'       => 'margin',
		'title'      => esc_html__( 'Author Comment Padding', 'saddle' ),
		'sub_desc'   => esc_html__( 'Set author comments padding from here.', 'saddle' ),
		'std'        => array(
			'top'    => saddle_px_to_rem( '18px' ),
			'right'  => saddle_px_to_rem( '30px' ),
			'bottom' => saddle_px_to_rem( '32px' ),
			'left'   => saddle_px_to_rem( '30px' ),
		),
		'dependency' => $author_dependency,
	),

	array(
		'id'    => 'comments_typo_heading',
		'type'  => 'heading',
		'title' => esc_html__( 'Comments Typography Settings', 'saddle' ),
	),

	array(
		'id'    => 'comments_title_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Comments Title Font', 'saddle' ),
		'std'   => array(
			'preview-text'   => 'Author Name',
			'preview-color'  => 'light',
			'font-family'    => 'Roboto',
			'font-weight'    => '700',
			'font-size'      => '20px',
			'margin-top'     => '6px',
			'color'          => '#504b46',
			'additional-css' => 'text-transform: capitalize; letter-spacing: 0.5px;',
			'css-selectors'  => '#comments .fn, #comments .fn a',
		),
	),
	array(
		'id'    => 'comments_meta_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Comments Meta Info Font', 'saddle' ),
		'std'   => array(
			'preview-text'   => '2 days Ago',
			'preview-color'  => 'light',
			'font-family'    => 'Roboto',
			'font-weight'    => '700',
			'font-size'      => '14px',
			'color'          => '#d5ba9f',
			'additional-css' => 'text-transform: uppercase; letter-spacing: 1.498px;',
			'css-selectors'  => '#comments .ago, .reply a',
		),
	),
	array(
		'id'    => 'comments_text_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Comments Text Font', 'saddle' ),
		'std'   => array(
			'preview-text'   => 'Comments Text',
			'preview-color'  => 'light',
			'font-family'    => 'Roboto',
			'font-weight'    => '300',
			'font-size'      => '14px',
			'line-height'    => '1.786',
			'margin-top'     => saddle_px_to_rem( '21px' ),
			'color'          => '#504b46',
			'additional-css' => 'letter-spacing: 0.224px;',
			'css-selectors'  => '.commentmetadata .commenttext p',
		),
	),
);
