<?php
/**
 * Single Related Posts
 *
 * @package Saddle
 */

$menus['single-related'] = array(
	'icon'  => 'fa-sitemap',
	'title' => esc_html__( 'Related Posts', 'saddle' ),
	'desc'  => esc_html__( 'From here, you can control the appearance and functionality of related posts in single posts page.', 'saddle' ),
);

$sections['single-related'] = array(

	array(
		'id'       => 'related_posts_background',
		'type'     => 'background',
		'title'    => esc_html__( 'Related Posts Background', 'saddle' ),
		'sub_desc' => esc_html__( 'Set background color, pattern and image from here.', 'saddle' ),
		'options'  => array(
			'color'         => '',            // false to disable, not needed otherwise.
			'image_pattern' => $mts_patterns, // false to disable, array of options otherwise ( required !!! ).
			'image_upload'  => '',            // false to disable, not needed otherwise.
			'repeat'        => array(),       // false to disable, array of options to override default ( optional ).
			'attachment'    => array(),       // false to disable, array of options to override default ( optional ).
			'position'      => array(),       // false to disable, array of options to override default ( optional ).
			'size'          => array(),       // false to disable, array of options to override default ( optional ).
			'gradient'      => '',            // false to disable, not needed otherwise.
			'parallax'      => array(),       // false to disable, array of options to override default ( optional ).
		),
		'std'      => array(
			'color'         => '',
			'use'           => 'pattern',
			'image_pattern' => 'nobg',
			'image_upload'  => '',
			'repeat'        => 'repeat',
			'attachment'    => 'scroll',
			'position'      => 'left top',
			'size'          => 'cover',
			'gradient'      => array(
				'from'      => '#ffffff',
				'to'        => '#000000',
				'direction' => '0deg',
			),
			'parallax'      => '0',
		),
	),

	array(
		'id'       => 'related_posts_layouts',
		'type'     => 'radio_img',
		'title'    => esc_html__( 'Related Posts Layouts', 'saddle' ),
		'sub_desc' => esc_html__( 'Choose the Related Posts layouts for your site.', 'saddle' ),
		'options'  => array(
			'default'  => array( 'img' => $uri . 'related/r1.jpg' ),
			'related2' => array( 'img' => $uri . 'related/r2.jpg' ),
			'related3' => array( 'img' => $uri . 'related/r3.jpg' ),
			'related5' => array( 'img' => $uri . 'related/r5.jpg' ),
			'related6' => array( 'img' => $uri . 'related/r6.jpg' ),
		),
		'std'      => 'related2',
	),

	array(
		'id'         => 'related_posts_grid',
		'type'       => 'select',
		'class'      => 'small',
		'title'      => esc_html__( 'Grid', 'saddle' ),
		'sub_desc'   => esc_html__( 'Select the number of grid for Related Posts.', 'saddle' ),
		'options'    => array(
			'grid2' => esc_html__( '2', 'saddle' ),
			'grid3' => esc_html__( '3', 'saddle' ),
			'grid4' => esc_html__( '4', 'saddle' ),
			'grid5' => esc_html__( '5', 'saddle' ),
			'grid6' => esc_html__( '6', 'saddle' ),
		),
		'std'        => 'grid2',
		'dependency' => array(
			'relation' => 'or',
			array(
				'field'      => 'related_posts_layouts',
				'value'      => 'default',
				'comparison' => '==',
			),
		),
	),
	array(
		'id'       => 'related_post_title',
		'type'     => 'text',
		'title'    => esc_html__( 'Related Posts Title', 'saddle' ),
		'sub_desc' => esc_html__( 'Enter the title text to show in the related posts section.', 'saddle' ),
		'std'      => 'Related Posts',
	),
	array(
		'id'       => 'mts_related_postsnum',
		'type'     => 'text',
		'class'    => 'small-text',
		'title'    => esc_html__( 'Number of related posts', 'saddle' ),
		'sub_desc' => esc_html__( 'Enter the number of posts to show in the related posts section.', 'saddle' ),
		'args'     => array( 'type' => 'number' ),
		'std'      => '2',
	),

	array(
		'id'         => 'related_posts_adcode',
		'type'       => 'ace_editor',
		'mode'       => 'html',
		'title'      => esc_html__( 'Related Posts Ad', 'saddle' ),
		'sub_desc'   => esc_html__( 'Paste your Adsense, BSA or other ad code here to show ads in Related Posts Area.', 'saddle' ),
		'dependency' => array(
			'relation' => 'or',
			array(
				'field'      => 'related_posts_layouts',
				'value'      => 'related5',
				'comparison' => '==',
			),
			array(
				'field'      => 'related_posts_layouts',
				'value'      => 'related6',
				'comparison' => '==',
			),
		),
	),

	array(
		'id'       => 'related_posts_position',
		'type'     => 'button_set',
		'title'    => esc_html__( 'Related Posts Position', 'saddle' ),
		'sub_desc' => esc_html__( 'Choose the position for related posts, below content will be Full width', 'saddle' ),
		'options'  => array(
			'default' => esc_html__( 'Default', 'saddle' ),
			'full'    => esc_html__( 'Below Content', 'saddle' ),
		),
		'std'      => 'default',
	),

	array(
		'id'       => 'related_post_meta_info',
		'type'     => 'multi_checkbox',
		'title'    => esc_html__( 'Post Meta Info', 'saddle' ),
		'sub_desc' => esc_html__( 'Show or hide post meta info.', 'saddle' ),
		'options'  => array(
			'time'     => esc_html__( 'Time/Date', 'saddle' ),
			'author'   => esc_html__( 'Author Name', 'saddle' ),
			'category' => esc_html__( 'Category', 'saddle' ),
			'comment'  => esc_html__( 'Comments', 'saddle' ),
			'readmore' => esc_html__( 'Read More', 'saddle' ),
		),
		'std'      => array(
			'readmore',
		),
	),

	array(
		'id'       => 'related_show_excerpt',
		'type'     => 'switch',
		'title'    => esc_html__( 'Show/Hide Excerpt', 'saddle' ),
		'sub_desc' => esc_html__( 'Enable or disable the excerpt to show in the related posts section.', 'saddle' ),
		'std'      => '1',
	),
	array(
		'id'         => 'related_excerpt_length',
		'type'       => 'text',
		'class'      => 'small-text',
		'title'      => esc_html__( 'Excerpt Length', 'saddle' ),
		'sub_desc'   => esc_html__( 'Enter excerpt length to show in the related posts section.', 'saddle' ),
		'args'       => array( 'type' => 'number' ),
		'std'        => '30',
		'dependency' => array(
			'relation' => 'or',
			array(
				'field'      => 'related_show_excerpt',
				'value'      => '1',
				'comparison' => '==',
			),
		),
	),

	array(
		'id'       => 'related_posts_margin',
		'type'     => 'margin',
		'title'    => esc_html__( 'Margin', 'saddle' ),
		'sub_desc' => esc_html__( 'Set related posts margin from here.', 'saddle' ),
		'std'      => array(
			'top'    => saddle_px_to_rem( '67px' ),
			'right'  => '0',
			'bottom' => '0',
			'left'   => '0',
		),
	),
	array(
		'id'       => 'related_posts_padding',
		'type'     => 'margin',
		'title'    => esc_html__( 'Padding', 'saddle' ),
		'sub_desc' => esc_html__( 'Set related posts padding from here.', 'saddle' ),
		'std'      => array(
			'top'    => '0',
			'right'  => '0',
			'bottom' => '0',
			'left'   => '0',
		),
	),

	array(
		'id'       => 'related_posts_border',
		'type'     => 'border',
		'title'    => esc_html__( 'Border', 'saddle' ),
		'sub_desc' => esc_html__( 'Select border', 'saddle' ),
	),

	array(
		'id'            => 'related_posts_font',
		'type'          => 'typography',
		'title'         => esc_html__( 'Related Posts Title', 'saddle' ),
		'margin-top'    => false,
		'margin-bottom' => false,
		'std'           => array(
			'preview-text'   => 'Related Posts Title',
			'preview-color'  => 'light',
			'font-family'    => 'Playfair Display',
			'font-weight'    => '700',
			'font-size'      => '18px',
			'line-height'    => '1.2',
			'color'          => '#504b46',
			'additional-css' => 'letter-spacing: -0.09px;',
			'css-selectors'  => '.related-posts .title a',
		),
	),
	array(
		'id'    => 'related_posts_meta_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Related Posts Meta Info', 'saddle' ),
		'std'   => array(
			'preview-text'   => 'Related Posts Meta Info Font',
			'preview-color'  => 'light',
			'font-family'    => 'Roboto',
			'font-weight'    => '700',
			'font-size'      => '13px',
			'color'          => '#d5ba9f',
			'additional-css' => 'text-transform: uppercase; letter-spacing: 5px;',
			'css-selectors'  => '.related-posts .post-info, .related-posts .readMore a',
		),
	),
	array(
		'id'    => 'related_posts_excerpt_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Related Posts Excerpt', 'saddle' ),
		'std'   => array(
			'preview-text'   => 'Related Posts Excerpt Font',
			'preview-color'  => 'light',
			'font-family'    => 'Roboto',
			'font-weight'    => '300',
			'font-size'      => '13px',
			'line-height'    => '1.923',
			'additional-css' => 'letter-spacing: 0.208px;',
			'color'          => '#504b46',
			'css-selectors'  => '.related-posts .front-view-content',
		),
	),

	array(
		'id'    => 'related_posts_article_heading',
		'type'  => 'heading',
		'title' => esc_html__( 'Related Posts Articles', 'saddle' ),
	),

	array(
		'id'       => 'related_article_background',
		'type'     => 'background',
		'title'    => esc_html__( 'Related Posts Background', 'saddle' ),
		'sub_desc' => esc_html__( 'Set background color, pattern and image from here.', 'saddle' ),
		'options'  => array(
			'color'         => '',            // false to disable, not needed otherwise.
			'image_pattern' => $mts_patterns, // false to disable, array of options otherwise ( required !!! ).
			'image_upload'  => '',            // false to disable, not needed otherwise.
			'repeat'        => array(),       // false to disable, array of options to override default ( optional ).
			'attachment'    => array(),       // false to disable, array of options to override default ( optional ).
			'position'      => array(),       // false to disable, array of options to override default ( optional ).
			'size'          => array(),       // false to disable, array of options to override default ( optional ).
			'gradient'      => '',            // false to disable, not needed otherwise.
			'parallax'      => array(),       // false to disable, array of options to override default ( optional ).
		),
		'std'      => array(
			'color'         => '',
			'use'           => 'pattern',
			'image_pattern' => 'nobg',
			'image_upload'  => '',
			'repeat'        => 'repeat',
			'attachment'    => 'scroll',
			'position'      => 'left top',
			'size'          => 'cover',
			'gradient'      => array(
				'from'      => '#ffffff',
				'to'        => '#000000',
				'direction' => '0deg',
			),
			'parallax'      => '0',
		),
	),
	array(
		'id'       => 'related_article_shadow',
		'type'     => 'switch',
		'title'    => esc_html__( 'Box Shadow', 'saddle' ),
		'sub_desc' => esc_html__( 'Enable/Disable shadow from here', 'saddle' ),
		'std'      => '1',
	),
	array(
		'id'       => 'related_article_padding',
		'type'     => 'margin',
		'title'    => esc_html__( 'Articles Padding', 'saddle' ),
		'sub_desc' => esc_html__( 'Set related posts articles padding from here.', 'saddle' ),
		'std'      => array(
			'top'    => '0',
			'right'  => '0',
			'bottom' => '0',
			'left'   => '0',
		),
	),

	array(
		'id'       => 'related_article_text_padding',
		'type'     => 'margin',
		'title'    => esc_html__( 'Articles Text Padding', 'saddle' ),
		'sub_desc' => esc_html__( 'Set related posts articles text padding from here.', 'saddle' ),
		'std'      => array(
			'top'    => saddle_px_to_rem( '33px' ),
			'right'  => saddle_px_to_rem( '33px' ),
			'bottom' => saddle_px_to_rem( '28px' ),
			'left'   => saddle_px_to_rem( '32px' ),
		),
	),

);
