<?php
/**
 * The template for displaying all pages.
 *
 * This is the template that displays all pages by default.
 * Please note that this is the WordPress construct of pages
 * and that other 'pages' on your WordPress site will use a
 * different template.
 *
 * @package Saddle
 */

get_header(); ?>

<?php saddle_single_featured_image_effect(); ?>

	<?php saddle_action( 'before_content' ); ?>

	<div id="wrapper" class="<?php saddle_single_page_class(); ?>">

		<div class="container clearfix">

			<article class="<?php saddle_article_class(); ?>">

				<div id="content_box" >

				<?php
				// Elementor 'single' location.
				if ( ! saddle_is_elementor( 'single' ) ) {
					if ( have_posts() ) :
						while ( have_posts() ) :
							the_post();
							?>
						<div id="post-<?php the_ID(); ?>" <?php post_class( 'g post' ); ?>>

							<div class="single_page">

								<div class="post-content box mark-links entry-content">
									<?php
									if ( ! empty( saddle_get_settings( 'mts_social_buttons_on_pages' ) ) && null !== saddle_get_settings( 'mts_social_button_position' ) && 'top' === saddle_get_settings( 'mts_social_button_position' ) ) {
										saddle_social_buttons();
									}

									the_content();

									// Single Page Pagination.
									$args = array(
										'before'           => '<div class="pagination">',
										'after'            => '</div>',
										'link_before'      => '<span class="current"><span class="currenttext">',
										'link_after'       => '</span></span>',
										'next_or_number'   => 'next_and_number',
										'nextpagelink'     => __( 'Next', 'saddle' ),
										'previouspagelink' => __( 'Previous', 'saddle' ),
										'pagelink'         => '%',
										'echo'             => 1,
									);
									wp_link_pages( $args );

									if ( ( ! empty( saddle_get_settings( 'mts_social_buttons_on_pages' ) ) && null !== saddle_get_settings( 'mts_social_button_position' ) ) && 'top' !== saddle_get_settings( 'mts_social_button_position' ) ) {
										saddle_social_buttons();
									}
									?>

								</div><!--.post-content box mark-links-->

							</div>

						</div>
							<?php
							// Comment area.
							comments_template( '', true );

					endwhile;

				endif;
				}
				?>

				</div>

			</article>

		<?php get_sidebar(); ?>

	</div>

<?php
get_footer();
