<?php
/**
 * Header Featured Section
 *
 * @package Saddle
 */

$featured_section = saddle_get_settings( 'header_featured' );
$featured_title   = saddle_get_settings( 'featured_title' );
$featured_content = saddle_get_settings( 'featured_content' );
$button_text      = saddle_get_settings( 'featured_button_text' );
$button_url       = saddle_get_settings( 'featured_button_url' );

global $template;
$template = basename( $template );

if ( ! $featured_section || 'page-home.php' !== $template ) {
	return;
}
?>

<div class="featured-section">

	<div class="container">
		<div class="small-container">

			<?php
			if ( ! empty( $featured_title ) ) {
				echo '<h2 class="title">' . $featured_title . '</h2>';
			}
			if ( ! empty( $featured_content ) ) {
				echo '<p>' . $featured_content . '</p>';
			}
			if ( ! empty( $button_text ) || ! empty( $button_url ) ) {
				printf(
					'<div class="button-wrap"><a href="%1$s" class="button light">%2$s</a></div>',
					$button_url,
					$button_text
				);
			}
			?>

		</div>
	</div>

</div>
