<?php
/**
 * Homepage Section - About
 *
 * @package Saddle
 */

$img                 = saddle_get_settings( 'about_image' );
$section_small_title = saddle_get_settings( 'about_top_small_title' );
$section_title       = saddle_get_settings( 'about_top_title' );
$title               = saddle_get_settings( 'about_title' );
$content             = saddle_get_settings( 'about_content' );
$button_text1        = saddle_get_settings( 'about_button_text1' );
$button_url1         = saddle_get_settings( 'about_button_url1' );
$button_text2        = saddle_get_settings( 'about_button_text2' );
$button_url2         = saddle_get_settings( 'about_button_url2' );

if ( empty( $img ) && empty( $section_small_title ) && empty( $section_title ) && empty( $title ) && empty( $content ) && empty( $button_text1 ) && empty( $button_url1 ) && empty( $button_text2 ) && empty( $button_url2 ) ) {
	return;
}
?>

<section class="about-section">

	<div class="container clearfix">

		<?php

		if ( ! empty( $section_small_title ) || ! empty( $section_title ) ) {
			printf(
				'<div class="top"><div class="small-title">%1$s</div><h2 class="section-title">%2$s</h2></div>',
				$section_small_title,
				$section_title
			);
		}

		echo '<div class="about-wrapper">';

		if ( ! empty( $img ) ) {
			echo '<div class="left"><img src="' . $img . '"></div>';
		}

		if ( ! empty( $title ) || ! empty( $content ) || ! empty( $button_text1 ) || ! empty( $button_url1 ) || ! empty( $button_text2 ) || ! empty( $button_url2 ) ) {
			printf(
				'<div class="right">
					<h3 class="title">%1$s</h3>
					<p>%2$s</p>
					<div class="button-wrap">
						<a href="%3$s" class="button light">%4$s</a>
						<a href="%5$s" class="button">%6$s</a>
					</div>
				</div>',
				$title,
				$content,
				$button_url1,
				$button_text1,
				$button_url2,
				$button_text2
			);
		}

		echo '</div>';

		?>

	</div><!-- .container -->

</section>
