<?php
/**
 * Homepage Section - Awards
 *
 * @package Saddle
 */

$count       = 0;
$award_title = saddle_get_settings( 'awards_title' );
$award_text  = saddle_get_settings( 'awards_text' );
$button_text = saddle_get_settings( 'awards_button_text' );
$button_url  = saddle_get_settings( 'awards_button_url' );
$awards_list = saddle_get_settings( 'awards_list' );

if ( empty( $award_title ) && empty( $award_text ) && empty( $button_text ) && empty( $button_url ) && empty( $awards_list ) && ! is_array( $awards_list ) ) {
	return;
}
?>

<section class="awards-section">

	<div class="container clearfix">

		<?php

		if ( ! empty( $award_title ) || ! empty( $award_text ) && ! empty( $button_text ) && ! empty( $button_url ) ) {
			printf(
				'<div class="left">
					<h2 class="title">%1$s</h2>
					<p class="text">%2$s</p>
					<div class="button-wrap">
						<a href="%3$s" class="button light">%4$s</a>
					</div>
				</div>',
				$award_title,
				$award_text,
				$button_url,
				$button_text
			);
		}

		// Awards.
		if ( ! empty( $awards_list ) && is_array( $awards_list ) ) {

			echo '<div class="right">';

			echo '<ul class="awards-wrapper">';

			foreach ( $awards_list as $award ) {

				echo '<li class="award-' . ++$count . '"><img src="' . $award['awards_list_icon'] . '"></li>';

			}

			echo '</ul>';

			echo '</div>';

		}

		?>

	</div><!-- .container -->

</section>
