<?php
/**
 * Homepage Section - Blog
 *
 * @package Saddle
 */

$section_small_title = saddle_get_settings( 'blog_top_small_title' );
$section_title       = saddle_get_settings( 'blog_top_title' );
$blog_post_num       = saddle_get_settings( 'blog_post_num' );

if ( empty( $section_small_title ) && empty( $section_title ) && empty( $blog_post_num ) ) {
	return;
}
?>

<section class="blog-section">

	<div class="container clearfix">

		<?php

		if ( ! empty( $section_small_title ) || ! empty( $section_title ) ) {
			printf(
				'<div class="top">
					<div class="small-title">%1$s</div>
					<h2 class="section-title">%2$s</h2>
				</div>',
				$section_small_title,
				$section_title
			);
		}

		echo '<ul class="blog-wrapper">';

		global $wp_query;
		$wp_query = new WP_Query( array( 'posts_per_page' => $blog_post_num ) );

		while ( have_posts() ) :
			the_post();

			printf(
				'<li>
					<div class="featured-thumbnail">%1$s</div>
					<a href="%2$s"><h2 class="title">%3$s</h2></a>
					<p class="text">%4$s</p>
					%5$s
				</li>',
				get_the_post_thumbnail( $wp_query->ID, 'saddle-grid', array( 'title' => '' ) ),
				get_permalink(),
				get_the_title(),
				get_saddle_excerpt( 20 ),
				get_saddle_readmore()
			);

		endwhile;

		wp_reset_query();

		echo '</ul>';

		?>

	</div><!-- .container -->

</section>
