<?php
/**
 * Homepage Section - Call to Action
 *
 * @package Saddle
 */

$title       = saddle_get_settings( 'cta_title' );
$button_text = saddle_get_settings( 'cta_button_text' );
$button_url  = saddle_get_settings( 'cta_button_url' );

if ( empty( $title ) && empty( $button_text ) && empty( $button_url ) ) {
	return;
}
?>

<section class="cta-section">

	<div class="container clearfix">

		<?php

		echo '<div class="cta-wrapper">';

		if ( ! empty( $title ) ) {
			echo '<h2 class="title">' . $title . '</h2>';
		}

		if ( empty( $button_text ) || ! empty( $button_url ) ) {
			printf(
				'<div class="button-wrap">
					<a href="%1$s" class="button">%2$s</a>
				</div>',
				$button_url,
				$button_text
			);
		}

		echo '</div>';

		?>

	</div><!-- .container -->

</section>
