<?php
/**
 * Homepage Section - Events
 *
 * @package Saddle
 */

$section_small_title = saddle_get_settings( 'events_top_small_title' );
$section_title       = saddle_get_settings( 'events_top_title' );
$events_post_num     = saddle_get_settings( 'events_post_num' );
$event_image         = saddle_get_settings( 'event_image' );

if ( empty( $section_small_title ) && empty( $section_title ) && empty( $events_post_num ) ) {
	return;
}
?>

<section class="events-section">

	<div class="container clearfix">

		<?php

		if ( ! empty( $section_small_title ) || ! empty( $section_title ) ) {
			printf(
				'<div class="top">
					<div class="small-title">%1$s</div>
					<h2 class="section-title">%2$s</h2>
				</div>',
				esc_html( $section_small_title ),
				esc_html( $section_title )
			);
		}

		echo '<ul class="events-wrapper">';

		$args = array(
			'post_type'           => 'contests',
			'ignore_sticky_posts' => 1,
			'post_status'         => 'publish',
			'posts_per_page'      => $events_post_num,
			'orderby'             => 'meta_value_num',
			'order'               => 'DESC',
			'meta_query'          => array( // phpcs:ignore
				array(
					'key'     => 'contest_event_date',
					'value'   => time(),
					'compare' => '>',
				),
			),
		);

		$query = new WP_Query( $args );

		while ( $query->have_posts() ) :
			$query->the_post();

			$meta_date = get_post_meta( get_the_ID(), 'contest_event_date', true );
			if ( $meta_date ) {
				$final_date = date( 'F j, Y', $meta_date );
			}
			?>

			<li <?php post_class(); ?> id="post-<?php the_ID(); ?>">

				<div class="post-info">
					<?php
					if ( $final_date ) :
						echo '<span class="thetime date">' . $final_date . '</span>';
					endif;
					?>
				</div>

				<h3 class="title front-view-title">
					<a href="<?php echo esc_url( get_the_permalink() ); ?>" title="<?php the_title_attribute(); ?>"><?php echo the_title(); ?></a>
				</h3>

				<div class="event-arrow">
					<a href="<?php echo esc_url( get_the_permalink() ); ?>" title="<?php the_title_attribute(); ?>">
						<!-- <i class="fa fa-angle-right"></i> -->
					</a>
				</div>

			</li>
			<?php

		endwhile;

		wp_reset_postdata();

		echo '</ul>';

		echo '<div class="event-image">';
			echo '<img src="' . $event_image . '">';
		echo '</div>';

		?>

	</div><!-- .container -->

</section>
