<?php
/**
 * Homepage Section - Plans
 *
 * @package Saddle
 */

$section_small_title = saddle_get_settings( 'plans_top_small_title' );
$section_title       = saddle_get_settings( 'plans_top_title' );
$section_desc        = saddle_get_settings( 'plans_top_desc' );
$plans_list          = saddle_get_settings( 'plans_list' );
$count               = 0;

if ( empty( $section_small_title ) && empty( $section_title ) && empty( $section_desc ) && empty( $plans_list ) && ! is_array( $plans_list ) ) {
	return;
}
?>

<section class="plans-section">

	<div class="container clearfix">

		<?php

		if ( ! empty( $section_small_title ) || ! empty( $section_title ) || ! empty( $section_desc ) ) {
			printf(
				'<div class="top">
					<div class="small-title">%1$s</div>
					<h2 class="section-title">%2$s</h2>
					<p class="subheading">%3$s</p>
				</div>',
				$section_small_title,
				$section_title,
				$section_desc
			);
		}

		// Plans.
		if ( ! empty( $plans_list ) && is_array( $plans_list ) ) {

			echo '<ul class="plans-wrapper">';

			foreach ( $plans_list as $plan ) {

				printf(
					'<li class="plan-%1$s">
						<div class="text-wrapper">
							<h3 class="title">%2$s</h3>
							<div class="price">%3$s</div>
							<p class="content">%4$s</p>
						</div>
						<div class="button-wrap">
							<a href="%5$s" class="button %6$s">%7$s</a>
						</div>
					</li>',
					++$count,
					$plan['plans_list_title'],
					$plan['plans_list_price'],
					$plan['plans_list_text'],
					$plan['plans_button_url'],
					$plan['plans_button_style'],
					$plan['plans_button_text']
				);

			}

			echo '</ul>';

		}

		?>

	</div><!-- .container -->

</section>
