<?php
/**
 * Homepage Section - Services
 *
 * @package Saddle
 */

$section_small_title = saddle_get_settings( 'services_top_small_title' );
$section_title       = saddle_get_settings( 'services_top_title' );
$service_list        = saddle_get_settings( 'services_list' );

if ( empty( $section_small_title ) && empty( $section_title ) && empty( $service_list ) && ! is_array( $service_list ) ) {
	return;
}
?>

<section class="services-section">

	<div class="container clearfix">

		<?php

		if ( ! empty( $section_small_title ) || ! empty( $section_title ) ) {
			printf(
				'<div class="top"><div class="small-title">%1$s</div><h2 class="section-title">%2$s</h2></div>',
				$section_small_title,
				$section_title
			);
		}

		// Services.
		if ( ! empty( $service_list ) && is_array( $service_list ) ) {

			echo '<ul class="services-wrapper">';
			foreach ( $service_list as $service ) {
				printf(
					'<li>
						<div class="img">
							<a href="%4$s">
								<img src="%1$s">
							</a>
						</div>
						<div class="text-wrapper">
							<a href="%4$s">
								<h3 class="title">%2$s</h3>
							</a>
							<p>%3$s</p>
						</div>
						<div class="button-wrap">
							<a href="%4$s" class="button light">%5$s</a>
						</div>
					</li>',
					$service['services_list_image'],
					$service['services_list_title'],
					$service['services_list_text'],
					$service['services_button_url'],
					$service['services_button_text']
				);
			}

			echo '</ul>';

		}

		?>

	</div><!-- .container -->

</section>
