<?php
/**
 * Homepage Section - Testimonials
 *
 * @package Saddle
 */

$section_small_title = saddle_get_settings( 'testimonials_top_small_title' );
$section_title       = saddle_get_settings( 'testimonials_top_title' );
$section_desc        = saddle_get_settings( 'testimonials_top_desc' );
$testimonial_list    = saddle_get_settings( 'testimonials_list' );

if ( empty( $section_small_title ) && empty( $section_title ) && empty( $section_desc ) && empty( $testimonial_list ) && ! is_array( $testimonial_list ) ) {
	return;
}
?>

<section class="testimonials-section clearfix">

	<?php

	if ( ! empty( $section_small_title ) || ! empty( $section_title ) || ! empty( $section_desc ) ) {
		printf(
			'<div class="top">
				<div class="small-title">%1$s</div>
				<h2 class="section-title">%2$s</h2>
				<p class="subheading">%3$s</p>
			</div>',
			$section_small_title,
			$section_title,
			$section_desc
		);
	}

	// Testimonials.
	if ( ! empty( $testimonial_list ) && is_array( $testimonial_list ) ) {

		// echo '<ul class="testimonials-wrapper">';
		echo '<div class="testimonial-slider owl-carousel owl-theme owl-loaded">';

		foreach ( $testimonial_list as $testimonial ) {
			printf(
				'<div class="testimonial-wrap">
					<div class="img">
						<img src="%1$s">
					</div>
					<div class="text-wrapper">
						<div class="author">%2$s</div>
						<p class="testimonial">%3$s</p>
					</div>
				</div>',
				$testimonial['testimonials_list_image'],
				$testimonial['testimonials_list_author'],
				$testimonial['author_testimonial']
			);
		}

		echo '</div>';

	}

	?>

</section>
